Installing Visual Communicator

  • Visual Communicator Minimum System Requirements
  • Installing Visual Communicator
  • Activating Visual Communicator
  • Why Your Mother Would Want You to Register
  • About Hardware Drivers.
  • Seriousmagic.com

Visual Communicator Minimum System Requirements

System Requirements for Web, Pro and Studio versions

Each version of Visual CommunicatorTM requires different levels of computer performance and capabilities. Please ensure that your system meets the requirements of the version you are installing.

 | Web | Pro | Studio
Windows® Version | Windows® 98, 98SE, ME, 2000 and XP | Windows® 98, 98SE, ME, 2000 or XP | Windows® 2000 or XP
Processor Type | Intel® Pentium® III, equivalent or higher | Intel® Pentium® III, equivalent or higher | Intel® Pentium® III, equivalent or higher 3
Processor Speed | (Recommended) 800MHz or faster | 933 MHz or faster | 933 MHz or faster 3
RAM | 128 MB RAM | 128 MB RAM | 128 MB RAM
Available Disk Space | 650 MB | 2 GB | 2.2 GB
Graphics Card | 16 MB AGP graphics card with 3D acceleration 1 | 16MB AGP with 3D acceleration for high res. input | 16MB AGP with 3D acceleration for high res. input 3
Drive | CD-ROM | CD-ROM | CD-ROM
Audio Card | Standard PC | Standard PC | Standard PC
Camera or Video Device | Web cam or Camcorder 2 | Digital Video camcorder or other high res. DV input device | Digital Video camcorder or other high res. DV input device

1 Some 8 MB cards will work. See Seriousmagic.com for more information.

2 Web cams require a DirectShow compatible driver. Camcorders require a compatible PC video input port.

3 For Live streaming in Studio, Pentium 4, 2.4 GHz recommended. NVIDIA GeForce or ATI Radeon-based graphic card required.

System requirements for Live Streaming are higher than those for VC Pro. Streaming is a processor intensive activity. Performance can vary depending on factors including type of input, show complexity, output settings, video card, drivers, and other tasks running on the PC.

Installing Visual Communicator

  1. Insert the Visual Communicator CD into your PC's CD-ROM drive and wait for the installation program to launch.

    If the program does not launch automatically, use Windows Explorer to view the contents of the CD and double-click the setup.exe file.

    1. Right-click the Windows Start button.
    2. Click Explore and then click the icon for your CD-ROM drive.
    3. Double-click the setup.exe application file.
  2. Follow the instructions in the Welcome window and then click Next.

    If your system requires, the setup program will proceed to install or update DirectX and other system components. You may be prompted to restart your system. Setup will resume after restarting.

  3. Click Yes to restart each time you are asked. This ensures that all system components are installed in the correct order. Depending on which version you're installing, VC will prompt you to insert the next CD.

    When all components have been installed, you'll see the license agreement appear.

  4. Read the agreement and if you agree with the terms, click I Accept the License Agreement and click Next.
  5. Enter your name, company name and email address if applicable, as well as your personal Broadcast License Number which you can find on your CD sleeve. Then click Next.
  6. When you are ready to begin the installation process, click Next.
  7. Depending on what version you are installing, you may be asked to select the hard drive and folder in which you wish to install Visual Communicator. If you are installing an upgrade version, the upgrade will be installed to the same folders as your existing version.
  8. Click Next.

    If you have more than one hard drive, we recommend that you select the one that has the most space free. See the system requirements at the beginning of this section to see how much disk space you'll need for your version. More space will be required as you create shows and publish videos.

  9. Click Next and Visual Communicator will be installed.
  10. Click Finish.

    11. If you are taken to a web page, to update your version, follow the onscreen instructions to install the product update.

  11. Once you are done, take a minute to register on-line by visiting the Serious Magic web site at http://www.seriousmagic.com.

    If you have Web or Pro, you can also register from within Visual Communicator. Click Help in the menu bar and select Registration.

Please keep your Broadcast License Number safe, as you will need it should you ever reinstall the software.

Starting Visual Communicator

To run the program, double-click the Visual Communicator icon on your desktop. Or, click the Windows Start button > Programs > Serious Magic > Visual Communicator. You'll automatically start with a Wizard that guides you through creating a show.

Now might be a good time to peruse the manual. Start with Visual Communicator Feature and Control Overview to learn your way around, then read Making Your First Show - A Test Drive.

If you're in the mood for a movie, watch the VC Orientation video. Place your VC CD in your CD-Rom drive and click Help in the Menu Bar and select View Orientation Video.

Activating Visual Communicator

If you have Visual Communicator Studio you will be asked to activate your software when you start the program. Activate your software within 7 days of installing it. To activate VC Studio:

  1. In the Menu Bar, click Help and select Activate.
  2. Follow the onscreen instructions to activate Studio. If you do not see the Activation option in the menu, your software has already been activated.

Why Your Mother Would Want You to Register

Welcome to the Serious Magic family! Like many families, we like to stay in touch. Registering is one of those pesky things that we need to remind you to do, precisely because some people don't, (sort of like buckling your seat belt). Our mothers remind us to buckle up because they care about us. Believe it or not, we remind you to register for the very same reason.

Registering is easy and required for you to take advantage of the following benefits:

  • Free product updates
  • Product tips, Online Tutorials and information
  • Free access to technical support
  • Access to the Online User Forum

To register Visual Communicator:

In Visual Communicator, click Help in the Menu Bar and select Register for Updates. Or, go to: http://www.seriousmagic.com/help and follow the on-screen directions.

Oh yes, did we mention the free product updates? These updates will make your experience with VC better but we can't share them if we can't find you, (we're magicians, not psychics). Please register now, because if you don't, you may not remember later and that would be a shame. We promise to never, ever give your sacred E-mail address to anyone who wants to show you how to MAKE MILLIONS IN MINUTES!

About Hardware Drivers

The devices attached to your computer, such as your mouse and web cam require files called drivers that allow them to work with Microsoft® Windows®. Most device manufacturers release new drivers periodically that can increase performance or fix compatibility issues.

If your devices are working just swell with VC, we recommend that you NOT update them. Sometimes new drivers cause things to actually work less well. On the other hand, if you are having problems, see Updating Your Hardware Drivers.

Seriousmagic.com

You have free access to the carefully crafted information that our staff publishes on our web site. You'll find Frequently Asked Questions, the latest device and driver information, step-by-step tutorials and as a registered user you have access to our friendly user forums. Please stop by, you never know who you might run into!


Visual Communicator Feature and Control Overview

Visual Communicator
Feature and Control Overview

  • VC Main Window Feature Map
  • The Output Monitor Window and Buttons
  • The Teleprompter Window and Action Area
  • The Media Area
  • The Tabs and Controls
    • The Project Tab Controls
    • The Director Tab Controls
    • The Actions Tab Controls
    • The V-Screen Tab Controls
    • The Setup Tab Controls
  • The Menu Bar
    • The File Menu
    • The Edit Menu
    • The Director Menu
    • The Teleprompter Menu
    • The Settings Menu
    • The Tools Menu
    • The Help Menu
  • The VC Window Controls

VC Main Window Feature Map

The Output Monitor Window and Buttons

Use the Output Monitor Window to view your show. Use the buttons to choose whether to Rehearse, Record or Review your show. To learn more, see Rehearsing and Recording Your Show.

Feature | What it does
The Output Monitor Window | Displays the video from your camera. When you double-click an effect or media in an Action Tray, it displays a preview of that item. When you Rehearse, Record, or Review a show, it displays the show. Depending upon your PCs processing power and settings, the video displayed in the Output Monitor may preview at a lower quality than that of your finished show.
Rehearse button | Runs your show without recording so you can check and adjust action timing.
Record button | Runs your show and records the video with all your final adjustments.
Review button | Plays back your recorded show.
Publish button | Opens the Video Publisher screen. You must Record before you Publish. See Using the Publisher.
Stop button | Stops your show in Rehearse, Record, or Review modes.

The Teleprompter Window and Action Area

The Teleprompter and Action Area are scrollable areas where you build your show. Enter your script in the Teleprompter and drag and drop actions into the Action area to create your sequence of events.

Feature

Description

Teleprompter
window

Where you enter and edit text for your script or outline. Also where you read the text aloud as it scrolls up the screen while rehearsing or recording. The controls for the Teleprompter can be found on the Director tab. To learn more about using the Teleprompter, see Using the Teleprompter and Scripts.

TickMark Ruler

Gives you a sense of time, allows you to see the length of your script, and the time when each

action will take place.

Action Area

Where you place and arrange Action Trays that contain your Media, such as pre-recorded videos, audio, camera input and effects. Actions scroll up the Action Area with the words in the Teleprompter while rehearsing or recording.

To move up and down the show manually, drag the scroll bar up and down.

To quickly move to the top or bottom of the show, right-click the scroll bar and select top or bottom.

To quickly move one Action Area Page down or up, right-click the scroll bar and select page Up or Page Down.

Action Trays

The container for Action and Media files etc. The contents and placement of a tray determines what happens and when. For more information see Creating and Adding Your Own Media.

  • To quickly move an Action Tray and every tray below it, click the top tray, hold down the Shift key and drag the trays up or down.
  • To move a tray and selected trays above it, hold down the Ctrl key on your keyboard select a Tray and any tray(s) above it. Release the Ctrl key and drag the Action Trays up or down.
  • Smart Position an Action Tray. Right-click on the left handle of the Action Tray and select Smart Position Next Action from the pop-up menu.

Studio Enhanced Action Tray
Controls
  • The Time Tab. The time tab displays the exact position of a tray. Slide the cursor over any part of a tray to display the blue time tab.
  • Overlap Trays. Drags trays on top of each other to achieve closer timing.
  • Collapse Trays. Action Trays can be made smaller to accommodate closer timing. To collapse trays, right-click a tray and select Collapse Tray from the pop-up menu. Drag the collapsed trays as close as you like.
  • To expand collapsed trays, right-click the tray and select Expand Tray from the pop-up menu. To learn more about these features, see Tighter Action Timing.

Actions

The left side of the Action Tray can contain an Action, such as a video effect, that determines how the Media in the right side of the tray is introduced to the video. For instance, if the Action is a Dissolve, the incoming Media will dissolve in as the preceding Media dissolves out. Add an Action to a tray by dragging an Action icon from the library to anywhere in a tray. To learn more, see Adding Actions and Effects.

  • Preview an Action by double-clicking it.
  • Replace an Action by dragging and dropping another Action icon over the top of the first one.
  • Delete an Action by right-clicking the tray handle and select Delete Action. The entire tray will be removed.
  • Cut an Action to be pasted later by right-clicking the tray handle and select Cut Action. The entire tray will be cut.
  • Copy an Action by right-clicking the tray handle and select Copy Action.
  • Paste an Action by right-clicking in the Action area and selecting Paste Action.

Media

The right side of the Action Tray holds the video, audio, or graphic file that goes with the Action. When you see a Camera icon here, it means that this Action will contain live video from your currently selected Video Input Device. You can replace the Media in the tray by dragging a new Media File onto the Action Tray. For more information about Actions and Media, see Adding Visual Communicator Media Files To Your Show.

  • Preview Media by double-clicking it.
  • Add Media to a tray by dragging a Media icon from the library into the right side of the tray.
  • Replace Media by dragging and dropping another Media icon over the top of the first one.

The Media Area

The Media Area contains all of the content that you add to your show. Think of it as a Media library categorized by format, style, project or topic. You can also use it to browse to any the files on your hard drive. To find out more about the Media libraries, read About VC Media Files.

Control | What it does
Content Folder drop-down list | Displays the currently selected folder. Click the down arrow to view and navigate to other folders.
Back button | Takes you back to the previous folder.
Fwd button | (Forward) Takes you forward one folder.
Up button | Takes you up one folder. Also allows you to navigate beyond the folder you started at.
Home button | Takes you to the top (starting) folder for each Content Library.
Video Effects Library Tab | Displays the contents of the Video Effects Library Folder
Styles Library Tab | Displays the contents of the Styles folder, an assortment of pre-produced visual elements that can be customized with your information.
Topics Library Tab | Displays the contents of the Topics folders which are used to create the shows in the Wizard.
Videos Library Tab | Displays the contents of the Video media folders containing the camera icon(s) as well as the video files that you can put in your shows.
Graphics Library Tab | Contains image media for use as backgrounds for V-Screen effects or as supporting images in your shows. Use VC provided images or your own pictures. VC supports standard image file formats such as .JPG, .JPEG, .PNG, .BMP, .GIF, .TGA including 32 bit with transparency.
Audio Library Tab | Displays contents of the audio media folders including TV-quality music tracks and sound effects. You can also use your own standard PC audio files. WAV, WMA and MP3 formats are supported.
Browse Tab | Allows you to locate and load files from outside of VC. Useful for loading digital camera pictures, files from the Internet and any other media files that may be on your computer or network.
Projects Tab | Displays show project files. Show files are saved with the .MSH file extension.
Output Tab | In VC Studio, where all your finished output files are saved. (Published videos or web pages.)
Media File | Each type of Media File has an icon that indicates the media type. Some graphic and video files will display a picture from the Media. To learn more, see About Media Files.
Media Folder | Media files are categorized by Media Folder.

The Tabs and Controls

The Project Tab Controls

Tab | Control | What it Does
The Project tab provides controls for creating and saving Project files. You can launch the Wizard and start capturing video from other devices as well as print your teleprompter script. You can also choose whether to use web or television quality media in your shows and zoom to view the Video Safe area only. To learn more about Project files and how to manage them, see About Visual Communicator Files. | Project Name field | This is the name of the project file (.msh format) that your show is saved to.
 | New button | Click to create a new show and a new default file name is entered in the Project Name field.
 | Open button | Click to display the contents of the My Projects folder where you select which file to open.
 | Wizard button | Click to start the Wizard. See Using The Wizard.
 | Capture button | Click after connecting your camera to capture pre-recorded clips from tape. Read Capturing Video From Other Recordings to learn how.
 | Save button | Saves your project.
 | Save As... button | Displays a window where you can choose a new file name and destination for your saved file. In newer versions, also sets the default directory for new projects.
 | Print Script button | Click here to print your script.
 | Pro Content radio button | Click here if the media in your show needs to be compatible with high resolution television quality format.
 | Web Content radio button | Click here if your media needs to be optimized for viewing on computers or the web. What you choose here determines the format of the content you see in the Media libraries.
 | Zoom to Video Safe Area checkbox | Click here to have the Output Monitor zoom in to display just the area visible on a television screen.

The Director Tab Controls

Tab | Control | What it Does
Use the Director controls when you rehearse or record to control the Teleprompter and Action area. If Visual Communicator has a driver's seat, this is it. Get in, sit down and make videos! To learn more about using the Teleprompter, see The Teleprompter. | Pause button | Pause and resume the Teleprompter and Actions during Rehearse and Record. You can also quickly Pause and Resume by pressing the Ctrl Key and the Space Bar.
 | Advance button | Scrolls the Teleprompter and Actions down one text line when paused.
 | Next Effect button | Advances to the next tray in the Action Area.
 | End Effect button | Ends the effect that is currently being displayed.
 | Scroll Speed Slider | Slide to the left to slow down the speed of the text in the Teleprompter. Slide to the right to speed it up.
 | Scroll Speed display field | Displays the current scroll speed
 | Full screen During Rehearse/Record checkbox | Studio Only - Displays the Teleprompter and Action Area using the entire computer screen during Rehearsing or Recording.
 | Timer Display | Displays the current show duration.
 | Count Up radio button | Click to have the Timer count up from zero.
 | Count Down radio button | Click to have the timer display the amount of time until the show ends.
 | Set button | Opens a dialog box that lets you set the Countdown minutes and seconds on the Timer.
 | Live Streaming Status light | For VC Studio live streaming users. Indicates your live streaming status. See Testing Your Stream.

The Actions Tab Controls

Tab | Control | What it Does
The Actions tab is where you make timing, volume and other adjustments to your Actions and Media. Click an effect, graphic, audio or video file in an Action Tray to display its properties and controls. The controls that you see will change based on the type of media or effect selected. To learn about Actions, Media and their controls in detail, see Adding Actions and Effects. | Icon window and description | Displays a thumbnail image, effect name, file name and description for the selected action in the action tray.
 | Duration field | (Video Effects only) Displays the current duration of the effect in seconds. Change the duration by selecting the text in the field and typing in a new duration. Duration is not changeable on some effects that cannot be altered, like Cut.
 | Pause Time field | (Video Effects only) For effects that come on screen, pause, and then move off screen. Sets the amount of time the effect pauses while on screen. Shown in seconds.
 | Smart Trigger checkbox | (Video Effects only) Pauses the Teleprompter and Action Areas until a video file has finished playing, or it jumps to the next Action if the video is too short. The Teleprompter and Action Areas resume automatically at the right time so that the next effect will integrate properly. Smart Trigger is checked at the time the effect is run. Conversely, Smart Position (an option found by right-clicking on an Action Tray) is a one time function. If the length of the video or effect changes, Smart Position needs to be re-applied.
 | Pause Teleprompter checkbox | (Studio Only) Click the checkbox to Pause your video after this effect is done.
 | Preview Button | Click to preview or hear the selected action, media or clip or title.
 | Advanced button | Click to access more Effect controls. See Customizing Effects with Advanced Effect Controls.
 | Edit button | (Title Graphics only) Click to edit the text in a title.
 | Title Editor button | (Title Graphics only) Click to launch the Title Editing application which allows you to change text, fonts, styles, colors, outline, shadow, pattern etc.
 | Volume slider | (Audio and Video Clips) Drag the slider up to raise the volume and down to lower it. Normal is 100%.
 | Volume meter | (Audio and Video Clips) Displays the rise and fall of your audio volume. All meters have clipping lights. The two tiny boxes on the top of the meter light up when audio is too loud and certain sounds may be clipped or truncated.
 | Volume number display | (Audio and Video Clips) Displays the current volume percentage.
 | Mute checkbox | (Audio and Video Clips) Mutes the audio associated with the video file or for an audio only file, turns the file on or off.
 | Trim button | (Video Clips only) Opens the Trim window where you can indicate where you want a video clip to begin and end. For more information see Trimming Video Clips.
 | Adjust Colors button | (Video Clips and Still Images) Use the sliders to adjust the brightness, hue, RGB color, contrast and offsets of clips or photos.

The V-Screen Tab Controls

Tab | Control | What it Does
If you choose to add virtual sets or green screen effects to your show, the V-Screen tab is where you'll select your background and perform chroma keying and color correction. To learn more about using V-Screen, see Using V-Screen to Create a Background. | V-Screen icon window | Shows the default or selected background image or video which displays behind you when you use the V-Screen feature. Also displays the name of the file displayed to the right. You can drag and drop files onto this icon to replace the current background.
 | Input drop-down list | Once your camera is connected, select the Camera Input you wish to use
 | Active checkbox | Turns the V-Screen effect on and off.
 | Auto-Set Key button | Automatically calibrates the V-Screen settings.
 | Adjust Colors button | Brings up the color correction window where you can change the brightness and colors of the default background image or video.
 | Don't Show V-Screen During Rehearse/Record checkbox | Disables the V-Screen effect during rehearse and record only. When selected, this can improve performance on slower PCs and only affects the preview output, not the recorded show.
 | Freeze V-Screen Background checkbox | Allows you to use an animated background as a still background. (Uses less system resources).
 | Set to Defaults button | Sets the V-Screen chroma key settings to the program defaults.
 | V-Screen Tips button | Takes you to a Tutorial which shows you how to set up V-Screen.
 | Advanced button | Displays the manual V-Screen settings window.

The Setup Tab Controls

The Setup tabs are where you configure your audio and video input devices like cameras and microphones and test their connection. Click the Audio or Video buttons to move between the two tabs. To learn more about connecting your audio or video devices, see Setting up Your Studio.

The Audio Setup tab

Tab | Control | What it Does
 | Input drop-list | If you have VC Studio, allows you to select and then set up multiple Audio or Video input devices.
 | Audio button | Displays audio properties and controls
 | Video button | Displays the video properties and controls
 | Audio Input Device drop-down list | Displays the name of the currently selected audio input device. If your audio device is connected but not listed here, it is not installed properly or the software driver is not installed properly.
 | Input Source On: drop-down list | If you have an audio input device connected to your PC that has multiple input sources available (such as Microphone or Line-In), select between them here.
 | Input Volume Hardware Level slider and meter | Adjusts the volume level of your current audio input card. Adjust this level first so that the meter is just in the yellow range.
 | Input Volume Digital Boost slider, meter and clipping lights. These controls work the same way for all audio controls. | The amount of amplification applied to the Hardware Level. If you get low volume from your input source, adjusting the slider will make your audio louder. The meter displays sounds levels and the clipping lights indicate that sound is too loud and some sounds may be truncated.
 | Pass-Thru to Speakers checkbox | Click to allow the microphone output to play through to the PC speakers while rehearsing or recording. Useful feature for live presentations and streaming.
 | Input Mute checkbox | (Input and Output) Silences the corresponding input or output when checked.
 | Output Volume slider | Adjusts the output volume of the PC's main speakers.
 | Output Mute checkbox | (Input and Output) Silences the corresponding input or output when checked.
 | Output Volume Test button | Play audio test file on the PC's main speakers.

The Video Setup tab

Tab | Control | What it Does
 | Current Video Input Device drop-down list | (Video Only) Displays the current video input device. Select which device to use here. If a device is connected but not listed, it may not be installed properly or does not have a standard DirectShow software driver. See Installing Your Camera for help.
 | Properties button | Displays settings for current device. Not a part of Visual Communicator but part of the driver software for the currently selected device. Different devices display different settings which may include: Brightness, Contrast, Hue, Saturation and Sharpness. Refer to your device manual for information. In general, if the device has "Auto" settings, disable these and adjust settings manually.
 | Advanced button | Allows you to pause the camera when off screen.
 | Adjust Colors button | Displays color correction window where you change colors and brightness of selected video input device. When using V-Screen, adjust colors before using Auto-Set Key.
 | Input Source | If the current device has more than one input source, (such as Composite Video, S-Video or a TV tuner), you'll see the Input Source drop-down list appear with available input sources listed. You can select between them here.
 | Capture Resolution drop-down list | Shows the current video input information.
 | Capture Frame Rate drop-down list | Shows the current video input information. (Captured DV video is accurately recorded at 29.97 FPS. DV input of 29.97 FPS is rounded to 30 in the display only.) Webcams use whatever rate is entered. If the value entered is not supported by the device, the rate is auto-set to a supported default value.
 | Input drop-down list | In Studio, allows you to choose which input device to set up.
 | Full Screen Output Enable checkbox | In Studio, turns on full screen video output. See Setting Up a Second Monitor or Projector.
 | Output Monitor drop-down list | When Full screen output is enabled, you can select which monitor or projector to use for display here.
 | Resolution drop-down list | When Full screen output is enabled, enter the desired monitor resolution here.

The Menu Bar

The Menu Bar is located at the top left corner of the Visual Communicator Window. Click a Menu name to open it.

The File Menu

The File Menu | File Menu Option | What it Does
 | New | Opens a new project
 | Wizard | Starts the Wizard
 | Open | Opens existing project
 | Save | Saves the current project
 | Save As... | Save current project to new name
 | Print Teleprompter Script | Prints your script
 | Recent Projects | Displays a list of files you worked with recently
 | Exit | Exit Visual Communicator

The Edit Menu

The Edit Menu | Edit Menu Option | What it Does
 | Undo | Undoes the Teleprompter script edit
 | Redo | Performs the last Teleprompter script edit again
 | Cut | Cuts text from the Teleprompter script
 | Copy | Copies Teleprompter text to the clipboard
 | Paste | Pastes whatever is on the clipboard
 | Select All | Selects all text in the Teleprompter

The Director Menu

Director Menu | Director Menu Option | What it Does
 | Rehearse | Starts rehearsal of your show
 | Record | Starts recording your show
 | Review | Starts playback of your show
 | Publish | Starts the publishing process for your show
 | Stop | Stops Rehearse, Record or Review and Preview of Media and Effects

The Teleprompter Menu

Teleprompter Menu | Teleprompter Option | What it Does
 | Pause/Resume | Pauses and then Resumes the Teleprompter scrolling action
 | Next Effect | Scrolls the Action Area to the next Action Tray
 | Advance | Advances the show to the next line in your script.
 | End Effect | Stops the currently playing effect

The Settings Menu

The Settings Menu

Option

What it Does

Application Settings

This is where you can customize the following Application options:

For detailed pop-up descriptions of each setting, turn Tooltips on and move the cursor over each control in the window.
  • Selects the default effect
  • Sets the Favorites folder
  • Automates Wizard launching
  • Automates starting with a new show
  • Automates loading your last project
  • Turns Tip of the Day on or off
  • Remembers Folder Directories
  • Turns on or off the prompt to select a project type at start up.
  • Disables/Enables Custom Skin
  • Turns Tooltips on or off
  • Sets Record/Rehearse Countdown
  • Sets Jump to Top of Screen
  • Hides Preview Monitor Output
  • Enables Recording Light
  • Enables Audio Level Clipping Indicator
  • Sets Manually Stop Preview Source option
  • Enables Title Safe Area Display

Performance Settings

For detailed pop-up descriptions of each setting, go to Application Settings, turn Tooltips on and move the cursor over each control in the window.

Adjust your settings based your computer's power. Options include:

  • Your computer speed setting
  • Freeze Animated Video Effects Backgrounds
  • Increase Image Resolution with Mipmaps
  • Smooth Teleprompter Scrolling
  • Preview Monitor Display Frame Rate
  • Show V-Screen During Rehearse/Record
  • Enable VSync
  • Enable Software Vertex Processing
  • Use Half Resolution in Preview window for SV cameras
  • Use Half Resolution Images During Rehearse/Record

Camera
Properties

Where you adjust camera properties such as Brightness, Hue, Saturation. Controls vary based on your camera.

Live Streaming Settings

Where you set up your system for Live Streaming.

The Tools Menu

The Tools Menu | Menu Option | What it Does
 | Audio Mixer | Displays the standard Windows audio mixer or volume control panel. Use this panel to trouble shoot problems with your audio.
 | Launch Advanced Title Editor | Launches the advanced title editing software.

The Help Menu

The Help Menu | Menu Option | What it Does
 | Help | Launches VC Help. You can also press the F1 key to launch the Help system.
 | Tip of the Day | View one or all of the Tips.
 | View Orientation Video | Prompts you to insert a CD containing the video.
 | Activate... | In Studio, takes you to a screen where you can activate your software.
 | Serious Magic Web site | Requires Internet access. Takes you to the Serious Magic web site.
 | Technical Support Web site | Takes you to the Technical Support page of the Serious Magic web site.
 | Frequently Asked Questions | Takes you to the Frequently Asked Questions page of the Serious Magic web site.
 | Check for Updates | Allows you to check for program updates.
 | About VC | Displays your system information and Visual Communicator copyright information.

The VC Window Controls

Click the down arrow to minimize the VC window. Click the X to close the main VC window.


Making Your First Show - A Test Drive

  • Test Driving With a Wizard
  • More VC Tutorials Online

Test Driving With a Wizard

Double-click the Visual Communicator icon on your desktop or:

  1. From Windows, click the Start button and select Programs.
  2. Select the Serious Magic folder and click Visual Communicator.

    3. By default, Visual Communicator starts by taking you directly to the Wizard.

  3. If you see a window asking what type of show you'd like to create, choose to create a show for Web format this time around.
  4. For type of video, select Create show based on a Style

  5. You'll see an explanation and samples of each show type appear on the right side of the wizard. Click the Next button at the bottom right of the window.
  6. Preview some existing style templates by clicking the radio buttons in the Styles list. You'll see samples of each style appear on the right. For now, select Contemporary then click the Next button.
  7. Select one of the three background images, Camera, Dish, or Lens, for your opening graphic title slate.
  8. Enter the name of your video in the Line 1 field.

    9. If you want two lines in your show's title, enter the second line. You can change these later if you like.

  9. Choose a style for the graphics by selecting Live Report, News Bulletin, or Top Story.

    Again, you'll see samples on the right as you click.

  10. Enter your name, (or the name of the person who will be on-camera) in the Enter your name field and enter your title, company or location if you like.
  11. Click the Next button.

    The Choose a V-Screen background option is skipped in this tutorial. If you like, click through the options to see what they look like.

  12. Choose your theme music. You can preview the music with the on-screen audio controls.
  13. Select one of the three backgrounds, Camera, Dish, or Lens, for your closing graphic title slate.
  14. Enter the text for the closing slate of your show. You can have one or two lines. Then click the Finish button.

    You'll see a message indicating that VC is now creating your customized titles and graphics.

    Your new show is automatically built for you in a matter of seconds. When it's done you'll see the main window. You should see the video coming from your camera in the Output Monitor window at the upper left corner of the screen.

  15. Position your camera at the top of your computer monitor centered over the Teleprompter window. Position yourself so that your head and shoulders are in the center of the Output Monitor window. For additional help, see Finding your optimal camera position.

Type a test script in the Teleprompter

  1. Insert the cursor by clicking in the Teleprompter area.

  2. Click in a line that is level with the second Action Tray in the show. (The Action Tray with the camera on the right).
  3. End your script level with the last Action Tray in the show, (the Action Tray with black on the right). You may need to scroll down a bit. This way your script will start and end in time with the video.

    To learn how to use the Teleprompter in detail, see See Using the Teleprompter and Scripts.

Saving Project Files

Now would be a good time to save your show to a file on your hard disk. Visual Communicator gave your project a default file name when you created it. To view or change it:

  1. Click the Project tab and edit the name in the Project Name field.

  2. Click the Save button.

To learn what folder your files are saved in, read Where Your Project Files Are Saved.

If you prefer, you can create your own folder in a handy location on your computer. After you save a project to your new folder once, VC remembers the location and makes it your new default directory.

Rehearsing Your First Show

  3. Click the Rehearse button under the Output Monitor window. When you see yourself appear on camera, start talking or reading your script as it scrolls up the Teleprompter window.

    Try it a few times to get comfortable. You can click Stop and begin again as many times as you like. Relax, Tom Brokaw wasn't smooth as silk the first few tries either.

To help keep your eyes as close to the camera as possible, focus on the words in the Action Bar, reading your script as it moves through it.

Recording Your First Show

  4. When you are through rehearsing, click the Record button and perform your show a final time. This time, your camera output and audio are recorded and added to the show.

Reviewing Your First Show

  5. Click the Review button to see the entire sequence played back, including your performance. If you don't like it, you can simply press Record to try again.

Publishing Your First Show

  6. Once you're happy with how your show looks, click the Publish button.
  7. In the publishing method window, click Save video to hard drive or network and then click the Next button.

  8. Select Publish a Windows Media Video (.wmv)

    For our present purposes, save to the default folder with the default file name: My_First_Show_.WMV and click Next.

  9. Select Medium File Size/Good Quality and click Next.
  10. Review your show information and click the Back button if you wish to make any changes, otherwise, click the Finish button.

    Your show will be compressed. If the checkbox Play Video when finished is selected click OK to view the finished show in the Windows Media Player.

Congratulations! You have just created and saved your first show.

More VC Tutorials Online

If you enjoy using tutorials to learn about VC features, you may find our web site tutorials helpful.

Our staff experts know all of the Visual Communicator tips and tricks and are continually working on new tutorials which will get you up to speed quickly on a wide variety of topics. Our online Tutorials cover topics such as "Capturing Video for Use in Your Shows", "Advanced Video Effects", "Using the Mega Move Effect", "Using Audio Files" etc. Our collection of Tutorials is updated on a regular basis.

Visit the Visual Communicator Technical Support section of our web site at Seriousmagic.com to see the latest tutorials.


Setting up Your Studio

  • Choosing a Camera
  • Installing Your Camera
  • Installing Multiple Cameras
  • Removing Cameras
  • Installing Your Microphone
  • Setting Up Multiple Audio Sources
  • Lighting

You don't need to have a bunch of professional lights to create good lighting in your studio. You can make great three-point lighting out of an ordinary floor lamp, a desk lamp and a piece of white poster board. The poster board can be used to bounce light and can replace the need for a separate fill light. Try experimenting while you watch the results on your monitor. See Lighting for more information.

Choosing a Camera

If you already have a web cam or camcorder connected to your PC then this choice is pretty simple. However, you may still want to review the information in this section to become familiar with the different camera options available and their relative advantages and disadvantages.

It's also important to point out that a camera is not required to use Visual Communicator. You can create shows consisting entirely of pictures, titles, graphics and pre-recorded video clips. However, to explore all the cool things that Visual Communicator can do, you should still try it with a camera at least once. There are two basic types of cameras you can use with Visual Communicator, webcams and camcorders.

Webcams

Webcams have been very popular little cameras and are readily available at most computer stores. They usually stay connected to PCs and sit on top of the monitor or nearby. Early webcams were sphere or "egg" shaped but today they come in many different shapes and sizes. Some PCs even come with a webcam.

You get what you pay for

The earliest webcams were black and white and had fairly low resolution which often meant fairly poor image quality. Fortunately, webcams have improved greatly over the years and today most possess image quality that's quite good. When shopping for a webcam, keep in mind that with webcams you generally get what you pay for. In other words, a webcam that costs $99 usually has better image quality than one costing $49.

Picture quality

More recent models tend to have better quality as well as better software drivers. Another indication of quality is the resolution on the webcam's packaging. Some cameras claim 320 x 240 resolution and others claim 640 x 480. In general, the higher resolution webcams produce better images.

The need for speed

While most webcams connect to your PC through a standard USB port, there are some models that connect through higher speed ports. One type connects to a FireWire port. Other cameras connect to a USB 2.0 port (also called HiSpeed USB). Both of these new types of webcams generally feature better quality than USB 1.0 webcams. Due to the higher speed interface they use, these webcams do not have to compress the image to transfer it into your computer. The trade-off here is that not all PCs have FireWire or USB 2.0 ports. If you wish to use this kind of webcam, FireWire or USB 2.0 ports can be added to your PC by installing an internal interface card into an open slot.

FireWire - Depending on your particular camera, FireWire is also known as IEEE 1394, i.Link, DV In/Out or DV Terminal.

Camcorders

If you'd like to get very high quality results, consider using a camcorder combined with a video capture card in your computer. In general, camcorders produce much better image quality than webcams and they have become relatively inexpensive over the last few years. Camcorders capture much better quality video than web cams because of their higher resolution imaging chips and better lenses.

An additional advantage is that a camcorder usually has a zoom lens. This enables you to position your camera behind your PC rather than on top of it as web cams require. A zoom lens also gives you greater control over framing your shot.

One nice advantage of a Firewire camcorder is that they are designed to be "plug and play" devices. If your computer has a FireWire card or port, you should be able to simply plug it in and begin to use it without having to install a driver.

If you have a camcorder that has both a FireWire and analog input connector, you can use the analog input to connect devices like your VCR or old 8 mm. camcorder and capture footage from VHS videotape. Record the VHS footage onto a DV tape in your camcorder. Then use VC to capture the footage from the DV tape.

If your PC did not come with a FireWire or analog input card, you'll need to purchase and install one.

It's All About Drivers

If you have a web cam or a camcorder that uses an analog connection, you'll need a software driver that is compatible with Microsoft's DirectShow (WDM driver). Almost all web cams now come with such a driver however, some older web cams do not. Most manufacturers make updated software drivers available on their web sites for free download. Almost any WDM driver-compatible analog or Firewire inputs connected to your computer can be used with Visual Communicator.

Even if your camera is new, we recommend visiting the web site of your camera manufacturer to verify that you have the latest version.

Installing Your Camera

Connecting your camera to your computer

Connecting a web cam

If you have a web cam, install the latest driver for your camera and connect it to your computer using the USB, analog or Firewire cable that came with it. Then turn the camera on if needed.

Connecting a camcorder

There are two ways to connect a camcorder to your PC: analog or FireWire. Which one you choose will depend on what kind of camcorder you have. VHS and 8 mm camcorders have analog connections. DV and Digital8 camcorders usually have both analog and FireWire connections.

In Visual Communicator, both analog and FireWire connections will usually yield about the same quality. If you aren't sure which connection you have, refer to your camcorder's manual.

To connect your camcorder via analog, install an Analog Video Capture Card in your PC. We suggest that you get an analog capture card that has both composite and S-Video connections. Some graphics cards also feature analog video input.

To connect your camcorder via FireWire, install a FireWire (IEEE 1394) capture card in your PC. These are available at most computer stores.

Finding your optimal camera position

Position your webcam or camcorder securely on top of your monitor centered directly above the Teleprompter window on Visual Communicator's main interface. You want the lens of your camera to be as close to the top of the Teleprompter window as possible so that your eyes will appear to be looking at the camera while you are actually looking at the Teleprompter just below.

Some web cams have a base or stand that is quite tall and raises the web cam above your monitor.

We suggest that you not use the base and just secure the camera to the top of the monitor with some tape. If you can position the camera forward enough so that it can hang down in front of the monitor's bezel just a bit, this is ideal.

Camcorders offer some additional positioning options because they have zoom lenses which allow them to be placed further back on your monitor or even on a tripod behind your monitor. If you are lucky enough to have one of those cool, flat and thin LCD monitors, camera positioning will be even easier. Perhaps we've provided you with just one more reason to upgrade your monitor?

Positioning your subject farther back from the computer

If you have Visual Communicator Studio, you have additional positioning flexibility. You can expand the Teleprompter to use the entire computer screen and move your subject further back from the computer. One of the benefits here is that it is easier to give the impression that the subject is looking at the camera rather than the Teleprompter. For detailed instructions, see Using the Teleprompter in Full Screen Mode.

If your screen resolution is set to higher than 1024 x 768, position the VC window at the top center of your computer screen right below the camera or select Jump to Top of Screen in the Application Settings. This way you will be looking in the same direction as the camera.

Testing your camera outside of Visual Communicator

Once your camera is connected and positioned, we suggest that you test it out using the viewing software that came with your web cam or capture card. When the camera is working with the software that it came with, exit that software and launch Visual Communicator

Setting up your camera in VC

To configure your camera,

  1. Click the Setup tab and then click the Video button.

    The Video Setup tab will look a little different depending on which version of Visual Communicator you have. The tab depicted here is from Studio which includes additional controls that allow you to set up multiple cameras etc.

  2. In the Video Input Device drop-down list, select the camera you want to use.

    3. If your device is a web cam and it is installed properly with a DirectShow (WDM) software driver, you will see its name appear here.

    If you are using a video capture card you may see an additional box that allows you to select which input source on the card you wish to use.

Clicking the Properties button displays your device's own properties panel that will allow you to make any further adjustments provided by the manufacturer of that device. Click Properties now and try experimenting with the different settings.

We suggest that you turn off any of your camera's automatic settings (such as Auto Gain, Auto Iris, Auto White Balance).

Many camcorders will turn off automatically after being on for a few minutes. This is an automatic power saving function when there is a tape inside the camcorder. Remove the tape and the camcorder should stay on indefinitely. In general, it's not good for your camcorder to be left on continuously for days at a time, so remember to turn the camcorder off when it's not being used.

Installing Multiple Cameras

Visual Communicator Studio version introduces the capability of using more than one camera to shoot your video. This new feature enables you to:

  • Record interviews using different cameras for each person.
  • Switch between different, (wide and close), camera angles to help keep your audience's attention.
  • Switch between the speaker and the product in training or sales videos.
  1. Click the Setup Tab and click the Video button.

    If you already have one camera connected, the Input drop-down list automatically displays Camera1 and your camera's make and model appears in the Video Input Device drop-down list.

  2. If you haven't already done so, connect any additional cameras to your computer.
  3. Select Camera 2 in the Input drop-down list.
  4. Click the down arrow in the Video Input Device drop-down list and select the make and model of your second camera.
  5. Repeat the process for any additional cameras.

If you are using more than one USB camera or more than one FireWire camera on the same input card, you may encounter bandwidth or performance problems. We strongly recommend connecting each camera to its own input card.

Removing Cameras

To remove additional cameras, select that camera in the Input drop-down list and then select <none> in the Video Input Device drop-down list.

Installing Your Microphone

Choosing a Microphone

The quality of your microphone has a big impact on the quality of your shows. Many web cams have a microphone built into the camera. While this internal microphone can be used with Visual Communicator, we strongly suggest that you use an external microphone. The internal microphone in your web cam is far enough away from your face to pick up unwanted noise in the room.

We suggest using a microphone that clips directly to your shirt or lapel.

A tie-clip or lapel-style microphone should be attached to your shirt about 3 inches below the collar. Experiment with the mic position to find the best sound. There are a variety of these kinds of microphones available at computer and electronics stores.

Connecting the microphone that came with VC

Visual Communicator Web, Pro and Studio, came with a professional quality microphone that attaches directly to your computer's audio card.

Connect the microphone that came with
Visual Communicator to your PC's audio card by plugging it into the connector labeled "Mic". Sometimes the connector has a picture of a microphone next to it. Often the connector is pink or red.

Testing your microphone outside of VC

Once the microphone is connected, we suggest that you test it out using the software that came with your audio card or using the Windows Sound Recorder program (located in the Programs: Accessories folder of the Windows Start Menu). When the microphone is working in Windows or with the software that came with your audio card, then exit that software and launch Visual Communicator.

Soundcheck!

To configure your microphone and test your microphone and speaker audio levels in Visual Communicator:

  1. Click the Setup tab and then click the Audio button.

    The controls that you see on this tab will vary depending on which version you have. The Studio tab you see here includes additional controls that allow you to set up multiple devices.

  2. Click the Audio Input Device drop-down list to select the audio device you want Visual Communicator to use.
  3. Click the Input Source drop-down to select the microphone as the source on the device.
  4. Before testing your microphone input, use the Output Volume Master Level slider to turn down the Volume to 25% or less. This will help prevent feedback during the microphone test.
  5. Now click the Pass Thru to Speakers checkbox and speak normally into the microphone.
  6. Look at the Input Volume meter and adjust the Hardware Level slider until the loudest parts of the audio are reaching the high end of the yellow LEDs but not into the red area.
  7. When finished, click Pass Thru to Speakers again to stop the microphone audio from passing to your speakers.
  8. Now, click the Test button in the Output Volume section to play a short audio sample.
  9. Adjust the Output Volume slider until you hear the test audio at a very quiet but comfortable volume from your speakers.

Unwanted feedback? Reducing speaker volume can help prevent echo or feedback while recording your shows. That loud, obnoxious sound may be caused by your speakers being heard through the microphone. Another way to reduce feedback is to point your speakers at an angle away from your microphone, or simply turn your speakers down or off when you're ready to record.

Setting Up Multiple Audio Sources

If you wish to use the audio from two different microphones in your video, such as a lapel microphone on each person, make sure that they are connected through the same device, (a device being a camcorder or sound card). This allows the device to control and synchronize the audio from both microphones and keeps them in sync.

If your camera or sound card has only one input for an external microphone, you'll need a Y adapter like this one which combines two microphones to one mic jack. These adapters can be found at most electronics stores but it may help you to know the Radio Shack catalog number is 274-310.

Alternatively, you can use an audio mixer to combine the microphones for input to one device. If you have a sound card that supports more than one audio input, you can use the additional inputs for extra microphones. If your camcorder supports two inputs (such as Channel 1 / Channel 2), you can plug one microphone into each channel.

  1. Click the Setup Tab and click the Audio button.

    2. If you previously assigned an audio device, such as an audio card, the Input drop-down list automatically displays Audio 1 and the Audio Input Device field displays the make and model of that device.

  2. Connect any additional audio sources to your computer if you haven't already done so.
  3. Click the Input drop-down list and select Audio 2.

  4. Click the Audio Input Device list and select the make and model of the second audio source.
  5. To test the audio input, speak into each mike and use the Input Volume meter to check your sound levels as described in Soundcheck!.

Troubleshooting Audio problems. What? Trouble in paradise? If you are experiencing problems with the quality of your sound, your microphone, recording or playing back sound, we have lots of suggestions. Please see Problems with Audio.

Lighting

Lighting is the single most important factor in making the video from your camera look as good as possible. In general, video shot with a webcam needs a lot of light to look its best.

The best way to determine whether you have enough lighting is with your own eyes. Look at the video of the camera subject on your monitor. Is the subject's face evenly lit or does it have dark shadows? Is the subject over lit and washed out or under lit, flat and gray?

Lighting location - getting your good side

Many rooms set up for computer use are laid out so that the computer is on a desk against a wall with the light coming from somewhere behind the person's chair. This is not a good lighting situation for shooting video.

If you have not turned off the automatic settings on your camera, a bright background behind the subject can cause the camera's auto mode feature to darken the overall image and leave the subject's face in the dark. To avoid this, turn the auto settings off or make sure that the light shining on the face of your subject is brighter than the light behind the subject. The best way to eliminate this problem is to bounce light off of a nearby wall or the ceiling.

Using bounced light

Bounced light can also even out hot spots and fill in dark areas. It's also good to have a fair amount of overall ambient light in the area that will be visible on camera. Experiment by moving your lights around and keep checking the image on your monitor to see what each change does to the quality of your camera image.

If you are having trouble getting enough light out of your existing fixtures, several inexpensive solutions are as close as your local hardware store. A "torchiere" style halogen light can throw 300 watts of light on your ceiling or wall at a reasonable cost. Another option is using 500 watt portable halogen work lights. These can also be quite inexpensive and there are a variety of models that come with their own stands or handy clamps.

Our caring lawyers would like to remind you to always use such lights carefully and only according to the directions. Never leave them on when unattended.

Three Point Lighting Basics

Cinematographers refer to their craft as "painting with light" and that's a good way to think of lighting. Here we give you a few quick pointers on how good lighting is done. One important aspect of lighting is the absence of light; shadows. While shadows are generally considered bad, you still need some shadows because they give an image its depth. A person's nose should cast a shadow on their face or they will look pretty strange on camera!

The trick is to make sure that your shadows are `good' shadows and not `bad' shadows. Bad shadows are shadows that are too sharp or dark. Good shadows have two characteristics; they are soft-edged and they are not completely dark. A good way to get soft-edged shadows is to diffuse light by bouncing it off of a wall. Direct lighting can cause harsh shadows. A good way to make partial shadows that aren't completely dark is to use what's called a `fill' light. Good lighting usually involves three primary lights. The lights themselves can be of the same type. What's important is which direction they are coming from.

  • Key Light: This is the light responsible for most of the illumination. It is also responsible for creating shadows. If you are the subject, the key light is usually located at about your 2 o'clock position.
  • Fill Light: This is the light responsible for `filling' in the shadows created by the key light so they aren't completely dark. Fill lights are usually located at about the subject's 10 o'clock position.
  • Back Light: This is the light responsible for creating some visible `separation' between the subject and the background. It does this by illuminating the edges of the subject. The back light is actually placed behind and to the side of the subject, but out of the view of the camera. It has the effect of highlighting the edges of your subject.

These are the basics of what is called "three-point lighting". Every time you see someone being interviewed in a TV studio, some variation of this lighting technique is being used.

You don't have to do three-point lighting to get good looking images from your camera but it can really help in problem lighting situations.

You don't even need to have a bunch of professional lights to do good lighting. You can make great three-point lighting out of an ordinary floor lamp, a desk lamp and a piece of white poster board. The poster board can be used to bounce light and can replace the need for a separate fill light. Try experimenting while you watch the results on your monitor.


Experiment With Abandon

Experiment With Abandon - Different Ways to Make Shows

  • Using The Wizard
  • Creating a Show Based on Style
  • Creating a Show Based on Topic
  • Using Instant Hollywood Video Templates
  • Creating a One Click Video
  • Blank Video - Creating a Show From Scratch
  • Creative Uses for Visual Communicator

Using The Wizard

The fastest and easiest way to create a show is with the Wizard, hands down. If you want your show done yesterday and want a consistent professional look, use the Wizard.

The first time you start VC, you are given the option of receiving guidance from the Wizard.

Like most good wizards, this one has some serious magic. It can automatically incorporate high-quality graphical elements to suit your needs. Each of these elements was created by experienced video designers to instantly give your shows the "million dollar" look of real television.

To go straight into VC without going through the Wizard, click the close icon in the upper right corner of the Wizard window or click the option located in the Application Settings that skips the Wizard and goes directly to the main window every time you run the program.

The Wizard helps you create new shows based on predetermined graphics and other content. You have five options.

  • Style
  • Topic
  • Instant Hollywood
  • One Click Video
  • Blank Video

Creating a Show Based on Style

If you choose to create a show based on style, you can choose from a large assortment of templates. Here are some examples of styles:

  • Antique: A classic look that brings a sense of history to your video communications.
  • Celebration: Birthdays, anniversaries, sales promotions or any special occasion.
  • Contemporary: A clean, modern look for professional and business communications.
  • Elegant: A tasteful look to add a touch of class.
  • Financial: A fresh corporate look perfect for today's business needs.
  • Generation X: The edgy urban look of music television.
  • Industrial: A metallic and mechanical look for the new industrial revolution.
  • Kid Power: Getting in touch with the inner child in all of us.
  • Nature: A theme reflecting the beauty of nature.

Creating a Show Based on Topic

If you create a show based on topic, you select a topic such as Business Financial News, Personal Birthday Wishes, or School Club News. VC opens a new project pre-loaded with title graphics, images and a format appropriate for the selected topic.

Using Instant Hollywood Video Templates

Instant Hollywood is a unique feature of Visual Communicator that allows you to star in a TV show that includes a professional television host. Visual Communicator seamlessly cuts between you on live camera and video clips of the host, putting you right into the show. In the Media area, click the Videos tab and select one of the Template folders listed below. Double-click each file to preview the clips.

  • I Forgot - Whether you forgot your mother's birthday or your own anniversary, this humorous video is sure to get them to forgive you.
  • Superstar Insider - Send this witty show to your friends and family to let them know about your secret life as a world famous celebrity.
  • Comedy Club Showcase - A great way to unleash the stand-up comic inside of all of us.
  • Campus Update - Introduce your school news with the help of a professional newscaster.
  • New Product Showcase - Introduce any new product in style with this professional show.

Creating a One Click Video

One Click Video allows you to create template based videos that can be loaded each time that you click the One Click Video icon on your desktop. Once triggered, Visual Communicator will load the One Click Video and you can quickly record a new version. This is incredibly useful for recording quick video emails or daily broadcasts such as company briefings or daily school bulletins. VC remembers the format of the show and you just replace the live sections.

To create a One Click Video, start the Wizard.

  1. In the Menu bar, click File and select Wizard.
  2. In the first Wizard window, click Set up One Click Video and follow the onscreen instructions to create your video template.
  3. Enter your script or outline and make any further desired changes to the show before saving it as your default One Click Video.
  4. After you have completed this one time setup, you can go ahead and record your One Click Video if you like, or save it for later, when you're ready to perform the live parts. Just make sure you save the show before exiting.
  5. To load your One Click Video, click the One Click Video icon on your Windows desktop or in the Serious Magic program folder from your Windows Start Menu.

    The One Click Video show you have just created remains the default show that loads from the desktop icon until you create a new one.

When you go through the Wizard and select One Click Video again, your new show will replace the original one.

If you would like to use another existing show as your One Click Video, open the show while you are in your current One Click Video, and when you exit, Visual Communicator will remember the show you loaded as your new default One Click Video show.

If you use V-Screen within One Click Videos, remember to Auto-Set Key during the few seconds before recording starts. There is a small time period before recording that Visual Communicator will present the camera in the Output Monitor window to allow you to check your position. During this time you can use the keyboard shortcut Alt + K to calibrate the key, then center yourself in the picture.

Blank Video - Creating a Show From Scratch

Choose the Blank Video option from the Wizard and you will load a show without any of the VC template objects. When you create a blank video from scratch, it's up to you to create your own style elements and actions.

1. Scratch your head and think for a bit

If you haven't already, put some thought into what you want your show to say. Develop the message or objective until it becomes clear. Keep the objective in mind as you develop your show so that the point of your show does not stray off track. If you'd like to learn more about planning shows, see Planning Shows and Script Writing.

Build your show in segments. Every story, no matter how simple, has a beginning, a middle and an end.

Begin with the end in mind. Determine the final format of your show. Will your show be saved in a file and posted to a web server? Burned onto a CD or DVD? If you have Studio, you have the additional option of publishing your show on a web page or streaming it from a server. See Publishing Your Show to learn about your publishing options.

2. All great things start with a list

List the scenes in order of appearance and what media or input you'll use for each. This will be your shopping list or list of ingredients for making a great, effective show. For example if you are doing a sales show.

  1. Opening music.
  2. Opening Title Slate and image.
  3. Live video of the person announcing product.
  4. Product photo.
  5. Existing video of someone using the product.
  6. PowerPoint slide listing benefits of the product.
  7. Closing comments from salesperson.
  8. Closing image photo.
  9. Closing music.

3. Collect your ingredients

Go out and create or collect any of the ingredients that don't come with Visual Communicator such as PowerPoint slides, person(s) to act in the video, photos of product, etc. If you're ready to create and add your own photos, backgrounds, video, etc., see Creating and Adding Your Own Media.

4. Fire up Visual Communicator and build your show

Enter your script into the Teleprompter. For detailed instructions, see Using the Teleprompter and Scripts.

Place Actions Trays in the Action Area and load them with the media in your list. For detailed instructions on manipulating Action Trays, see Using Action Trays in the Action Area. To learn how to use the media that comes with Visual Communicator, see About VC Media Files.

5. Rehearse your show

Now that all of your ingredients are in the pot, let's turn on the stove and see how it all comes together. Fortunately, unlike real life, if you don't get it right the first time, in VC you get unlimited second chances! It's like an endless supply of "Get Out of Jail Free" cards. How cool is that? If your audio and video don't quite sync up and your effects are a little over done, simply clean up your act and try it again. Don't forget to watch for your show's carefully thought out objective and make sure that your message is coming though loud and clear.

6. Record your show, it's a wrap!

Every shot is in it's place and your show's message is right on target. It's time to record your show. It's as simple as clicking the Record button but if you'd like to learn more about recording, see Recording Your Show.

7. Publish your show

Publishing is as easy as clicking the Publish button and following the onscreen instructions. But if you'd like to learn about publishing in detail, see Publishing Your Show.

Creative Uses for Visual Communicator

Communicating with video is a great way to make your messages and ideas stand out. You can use it in place of written documents or normal presentations to achieve a much greater impact.

Visual Communicator enables you to create all kinds of videos. The list below is offered to spark your imagination about new and interesting ways to use Visual Communicator.

  1. Sales associates can make their weekly sales reports more visual and effective.
  2. Sales associates can make client proposals more personal.
  3. Companies can create visual FAQs using on-screen examples of how to solve problems.
  4. Little League Baseball teams can have weekly highlight shows and also recruitment videos.
  5. Schools campus updates on the web allow parents to have more insight into school activities.
  6. Schools can use videos to announce fund raising goals and to give weekly updates.
  7. Online cars sales with a virtual test drive showcasing the car's features and benefits.
  8. Online dating profiles. The perfect way to make that lasting "first" impression.
  9. Create visual announcements for web sites that can be more effective than press releases.
  10. Marketing managers, create product overviews for sales reps and worldwide resellers.
  11. Create online movie reviews in the style of your favorite TV critics.
  12. Product managers can create training videos for their products.
  13. Magazine journalists can create "How To" and "Tips and Tricks" videos for their readers.
  14. Undiscovered comedians can create stand-up style videos and post them online, (we've even included a "brick wall" V-Screen background).
  15. Play games online by sending video emails that add to the drama, one move at a time.
  16. Future TV celebrities can create their own "Screen Tests".
  17. "Joke of the Day" emails can now benefit from TV-style presentation.
  18. Create a video based on the canned "Superstar Insider" concept and share it with friends.
  19. Human Resource professionals can create video announcements on the network instead of those HR memos (which people rarely read).
  20. Create your own video review show for TV, Books, Comics etc.
  21. Two words... Video Karaoke.
  22. Artists can make video portfolios to put up on the web or send around the world.
  23. Musicians can make music videos with cool effects.
  24. Create and distribute your very own "Sock Puppet Theatre".
  25. Create video term papers and other cool multimedia school projects.
  26. Create video Valentines for your loved ones.
  27. Make video holiday greeting cards.
  28. Make a campaign video to get elected to office and send it to the media and your constituents.
  29. Create a video poetry reading.
  30. Dress up like your favorite Star Trek character and send your friends messages from Star Fleet Command.
  31. Use photos of different parts of the world as a background and send your friends regular weekly updates of your world tour.
  32. Create your own weekly political editorial.
  33. Create your own nightly newscast.
  34. Send a "Video Love Letter" to show your S.O. how much you care.
  35. Send a "Video Dear John Letter" to show just how much you don't care anymore.
  36. Film a Computer Fix-It show and post it on your web site.
  37. Use visual communication to propose to your significant other.
  38. Make a "Video Diary" with your own stories and illustrations.
  39. Create your own family slide show with narration.
  40. Film an interview of your children regularly as they grow up. Embarrass them beyond words on their 18th birthday and show your compilation to all of their friends.
  41. Before and After - diet, home improvement, landscaping (okay maybe not diet).
  42. Create vacation videos to rival those Lifestyles of the Rich and Famous shows.
  43. Invite your strangest, most eclectic or photogenic friends on a camping trip and create your own Reality TV show.
  44. Invite your strangest, most eclectic or photogenic friends over for glamour makeovers and create your own Reality TV Show.
  45. Create a show about your strangest, most eclectic or photogenic friends making a show...
  46. Use Visual Communicator to actually do something with all that video footage trapped inside your bedroom closet.
  47. Make a show about a decent band to go and see live.
  48. Make a family history video.
  49. Make a memory and/or photo montage for your anniversary.
  50. Annual company reports.
  51. Make announcements to your committee, club or church members.
  52. Corporate communications.
  53. Video cooking directions for the culinary challenged.
  54. Documentaries.
  55. Distance learning.
  56. Going Away and Welcome Home videos.
  57. Electronic fund raising.
  58. Get well soon.
  59. Human resources announcements and
    schedules.
  60. Industrial training and safety videos.
  61. Keynote speeches without the plane flight.
  62. Video office memos.
  63. Public service announcements.
  64. Sports shows about favorite teams/players.
  65. Show and Tell at school.
  66. Wedding videos and photos.


Planning Shows and Script Writing

  • Making an Outline of Your Show
  • Writing Your Script
  • What to Wear on Camera

Making an Outline of Your Show

A show outline is like the blueprint or building plan for your video. It's a great way to communicate what your vision of the video looks like and what the required ingredients are. This is especially useful if there is more than one person working on the show. For example, in a classroom environment or when you are part of a creative team. An outline is a great tool for communicating the vision and production plan and ensures everyone is informed of what's needed and on the same page.

Here is an example of an outline for one of the VC shows that can be found in your Demos folder within the Projects tab library, Gravity Demo. We've inserted pictures of the action trays here to help you. You should create your outline before you have actually created your action trays and can substitute a small sketch of what your tray will look like when it's done.

Assigned Person | Requirements /Ingredient List | Scene Description | Action Tray or Sketch
John Jill | Intro Music Title Graphic Transition | Opening Title "Gravity and You" with music in the background. Transitions to live video of Mark |
Emily John Jill | Camera 1 Microphone Script Mark | Live Video of Mark reading script Transitions to Isaac |
Suzy | Image file of Isaac Transition | Display Picture of Isaac as Mark Continues to read script Isaac transitions to slide |
Mark | PowerPoint slide Transition | Display PowerPoint slide of formula |

Making a List of What You Will Need

Having a list of required ingredients will help you assign the members of your team to a particular job, whether it is going out and finding a suitable .mp3 music file, setting up cameras, or writing the script.

Describing What Happens in Each Scene

Scene descriptions help each team member find out the specifics of how their component should work in the video. For example, what the title graphic should say, what the content of the slide should be etc.

Creating a Quick Sketch of Your Scenes

We all know what a picture is worth, and with Visual Communicator those thousand words can become exponentially greater. Moving pictures convey powerful messages. The images in your show are arguably more important than the words in your script. Whether you use the images that come with VC or decide to create your own, sketching out a quick storyboard can help you get a preview of how the scenes in your video will flow. Create some simple sketches of each event in your show. Again, if you are part of a creative team, sharing ideas in this way is invaluable.

Writing Your Script

Understand Your Audience

The first rule of communication is to know your audience. Everything you do will be to attract their attention, entertain them a bit, and communicate your intended message... in that order. Once you have determined a need for a presentation or video communication, the next step is determining who your audience is. Usually you'll have some ideas about your audience because you'll be focusing on a group of people that potentially have an interest in your message. Whether it's a message to your co-workers or to your softball team, each audience will see your message differently.

Keep it Simple

Always be clear and concise when delivering your presentation and write your script so that your information flows smoothly from one topic to the next. Try not to over embellish or overwrite your script. If you spend too much time on a topic you may lose your audience. The average TV news story is about a minute long. Watch a network television newscast and pay attention to the way the newscaster conveys the information; everything they say is scripted, clear and to the point. You'll also notice that the news shows try to avoid being stuck on a "talking head" for too long. They insert graphics, video effects and over-the-shoulder visual elements to illustrate what's being said and keep things interesting.

Leverage the Power of the Medium

Hollywood writers know that a great book can't usually be translated directly into a great movie. This is because they are dramatically different mediums with very different strengths. Books and other printed text are ideal for communicating a great amount of detailed information. Video can convey information but it also excels at effectively conveying feelings and the innate `sense' of something.

Resist the temptation to cut and paste the text of your entire employee manual into the Teleprompter to make an employee orientation video. You would be wasting the most powerful aspects of the medium now at your disposal (as well as possibly boring your audience into a deep coma). Video can have much more intellectual and emotional impact than text, but to gain this impact you must distill your message into its most essential points. If you don't keep your audience interested, they will tune you out and your message will not get through. The biggest mistake in many videos, especially corporate and educational videos, is that they contain too much detail. If you want to give people a lot of technical information, send a memo. If your goal is to communicate the essentials, convey a feeling, generate support and inspire action, make a video.

Remember, your audience will have varying levels of knowledge, education and sophistication regarding your subject. However, almost everyone is an expert at watching TV. They have expectations about how it should look. A good exercise is to watch some television shows and analyze the content and pacing. Notice how they are put together scene by scene. Then, try to create a script or outline that has similar pacing and content, but is focused on your subject or message. You will see that the best television programming usually has a lot of visual action and that the messages are kept fairly simple and easy to understand.

If you have a very long video, break the content up into chapters or segments. Too much information all at once can turn your audience off. If you have Studio, use Chapter Markers to break up information.

Sending the Script Through Your Team's Approval Process
If you are writing a script for your company, it's easy to distribute scripts via email for final approval from management, marketing and other groups. You can write the script in your word processing program, attach the script to your email or copy and paste it directly into the email. When you have received your feedback and made your changes, simply copy and paste the script into the Visual Communicator Teleprompter window.

What to Wear on Camera

How you look on camera should be consistent with the type of overall impression you are trying to make. Thus, your on-camera appearance will depend greatly on the topic of your show or
presentation. A professional appearance on camera will tell your audience that you are serious about the message you are delivering, and in turn they will be apt to pay closer attention.

A business suit is appropriate for a business presentation, but probably not for a music video show. When a newscaster like Dan Rather is in the studio, he's wearing a coat and tie, conversely when he's doing a story from a war torn city street, he's wearing a field jacket and blue jeans or casual slacks. With Visual Communicator's V-Screen you can appear to be anywhere so make sure you're dressed appropriately for your locale.

From a technical point of view, you should avoid wearing fabrics with small patterns, like herringbone tweeds, hounds tooth and small checkered patterns. These tend to drive most video cameras a little crazy. In general it's a good idea to wear neutral colors and to avoid solid blacks or whites. Of course if you're using V-Screen you'll also want to avoid the color you've chosen for your backdrop.


Using the Teleprompter and Scripts

  • The Teleprompter
  • Entering Your Script
  • Rehearsing Your Script
  • Adjusting the Scroll Speed of the Script
  • Using the Teleprompter in Full Screen Mode
  • Pausing the Teleprompter

The Teleprompter

The Teleprompter is the large area in the top center of the Visual Communicator window where your script is displayed. You can import a script or outline from a word processor or type the script directly into the Teleprompter window. As you rehearse and record your show, the words of the script scroll upwards, allowing you to read from the screen as the show progresses.

Reading your script from the teleprompter really helps you focus on your speaking part, speak with greater confidence, and keeps you from uttering the dreaded "uh" that seems to spring from our lips when we are not quite sure what words to use.

If you've followed the steps we've handily provided in Finding your optimal camera position, you have placed your video camera just over the Teleprompter window. After a little bit of practice and rehearsal, it will appear that you, (or the person in your show), is looking in the direction of the camera while they are actually reading the words on the screen.

You don't have to use the Teleprompter to use Visual Communicator. You can create presentations, slide shows and other communications accompanied simply by music or sound effects.

Entering Your Script

If you can, put some time into developing a good script. A good script is one that has a clear message, is interesting to your audience and is easy for you to read as it scrolls. Read Writing Your Script for more writing tips.

  1. Open Visual Communicator and load a show. If you don't already have a show, one of the demo shows will work just fine.
  2. Position your cursor at the point where you would like the script to begin. This may be at the beginning of the show or in sequence with a particular event in an action tray in the action area. Click the mouse in the Teleprompter window and a flashing "I" cursor will appear where your text will begin. You can either type or paste your script into the Teleprompter window.

    If you are copying your script into the Teleprompter from a word processing program:

    1. Open the program and select the text you wish to copy.
    2. Right-click and select Copy from the pop up menu.
    3. In VC, position the cursor in the Teleprompter window. Right-click and select Paste.

Changing the Font in Your Script

If you'd like to change the font that your script is displayed in, right-click anywhere in the Teleprompter window. Then select the font you wish to use.

Saving a Script

Your script is automatically saved as part of your project when you save your show.

Printing a Script

You can also print your script. This is very handy for obtaining approvals for a business announcement, or just to ponder ideas while you're away from your computer.

Under the File menu, select Print Teleprompter Script or press the key combination Ctrl + P.

Rehearsing Your Script

  1. With the camera on, click the Rehearse button. The show will play and the script in the Teleprompter window and the events in the Action Area will start to scroll upward.

  • Look at the Teleprompter and read the words as they pass through the colored Action bar. Avoid looking away from the bar (E.g. at yourself in the Output Monitor window), as it can be distracting to your audience.

    • Adjusting the Scroll Speed of the Script

    If the words in the script are scrolling too fast or too slow, adjust the Teleprompter speed by dragging the Scroll Speed slider on the Director tab to the left to slow down the pace or to the right to speed it up.

    If your script ends before the events in the show finish, space your text out accordingly. Add blank lines in between script lines to add time for video clips or long graphic sequences.

    To add blank lines, press Enter on your keyboard just as you would with a word processing program.

    Adjusting Action Timing

    If you need to adjust the timing of the actions, drag them upward in the Action Area to make them happen sooner or down to make them happen later. You can synchronize the actions with the script by vertically aligning the action with the words in the Teleprompter. For tips on adjusting the placement of Action Trays, see Using Action Trays in the Action Area.

    If Your Screen Resolution is Higher Than 1024 X 768

    If you have your screen resolution set to higher than 1024 x 768, be sure to position the Visual Communicator window at the very top center of the computer screen right below your camera. This way, you will be looking in the same direction as the camera.

    1. In the menu bar, click Settings.
    2. Click Application Settings.
    3. Under Rehearse/Record Options, click Jump To Top of Screen and click OK.

    Using the Teleprompter in Full Screen Mode

    If you have the Studio version of Visual Communicator, the Full Screen Teleprompter feature enables you to have more flexibility in where you position your subject in front of the camera and it improves the impression that they are looking directly at the camera.

    Because the Teleprompter window uses the entire screen, the words are larger and the subject can still read the script while sitting further from the computer. The angle of the subject's head to the position of the camera lens can be decreased.

    It's sort of like what happens when you arrive at a first run movie late and end up in the dreaded first row of the theater. If you'd bought your tickets earlier, you'd be sitting back in the comfort zone and the angle of your head to the screen might be less than 90 degrees.

    1. On the Director tab, click the Full Screen During Rehearse/Record checkbox.

    2. Click the Rehearse or Record button when you are ready to begin rehearsing or recording.
      • The Teleprompter window and Action Area will enlarge to use the entire monitor screen.
      • Scrolling will begin a few seconds after switching to Full Screen display.
      • Normal display will resume at the end of the performance or you can press the Esc key on your keyboard to go back to Normal display immediately.

    Clicking the Rehearse or Record buttons will automatically take VC into Full Screen mode until you clear the Full Screen During Rehearse/Record checkbox.

    You can quickly Pause and Resume scrolling during Rehearsing and Recording in Full Screen mode by pressing the Space Bar on your keyboard.

    Pausing the Teleprompter

    In Visual Communicator Studio, the Pause Teleprompter Effect allows you to pause your show more easily than using the Director Tab Pause/Resume button. Instead of breaking your focus to grab the mouse to click the Pause button or press the space bar, you can add a Pause Teleprompter effect to an Action tray in your show beforehand, wait for the show to pause automatically and then resume it by pressing the space bar when you wish.

    1. Click the Video Effects Tab and open the Advanced folder to locate the Pause Teleprompter icon.

    2. Drag the Pause Teleprompter icon into the Action Area between Action trays to create a temporary Pause during recording.
    3. When the Pause Teleprompter effect moves through the Action bar, your show will pause. Use the extra time to ad-lib and then click the Resume button on the Director tab to move to the next action or simply press the Space Bar on your keyboard to resume the show.

    Pausing the Teleprompter has no effect on recording. Even though the Teleprompter is paused, your show is still being recorded.


Action Trays and Media

  • Using Action Trays in the Action Area
  • About Media Files
  • Adding Visual Communicator Media Files To Your Show
  • Adding Actions and Effects
  • Creating and Adding Your Own Media
  • Adding Web Links to Your Page
  • Adding PowerPoint files to Your Show

Using Action Trays in the Action Area

How Action Trays Work

Action Trays are the containers that hold the specific actions and media that you put in your show. Each Action Tray has three parts. The left side holds the Action that will take place and the right side holds the Media that the Action effects. The space between the Action and Media icon can hold additional icons.

In this example, the first tray creates a dissolve from the initial video state, (black) to the title slate. The dissolve happens when the top of the Action Tray reaches the top of the colored, (pink) Action bar.

In between the action icon and the media icon, the small speaker icon indicates that there is an audio file attached to the Action Tray. When an Action Tray with an audio file attached passes through the pink action bar, the audio file plays.

You can also create audio-only Action Trays by dragging and dropping a sound effect or music file from the library onto the Action Area.

To hear the audio attached to a tray, double-click the speaker icon.

In the second tray, the camera icon on the right indicates that the show will use a fly-away effect to transition from the second title graphic to live camera input from camera one.

Putting Action Trays in Your Show

Most of the time, Action Trays are added to the Action Area automatically when you drag a media file into the Action Area but you can also create them manually.

Simply right-click in the Action area and select Insert Action from the pop-menu. A new empty tray appears in the Action Area.

To see how trays are added automatically, read Adding Visual Communicator Media Files To Your Show.

Moving Action Trays

Action Trays act as a container for Action and Media files so the placement of trays is important. The position of a tray determines what happens and when.

  • To move a tray, simply click it's right or left edge or center and drag it up or down.
  • To quickly move an Action Tray and every tray below it, click the top tray, hold down the Shift key and drag the trays up or down.
  • To move a set of trays simultaneously, hold down the Ctrl key on your keyboard and select the trays you would like to move. The selected trays will become highlighted. Release the Ctrl key, and drag the selected trays up or down.

Removing Action Trays

  • To remove a single tray, right-click the right or left edge or center of the tray and select Cut this Action from the pop-up menu.

Tray Positioning Shortcuts

Smart Position - You'll want to make sure the action that follows a video clip is placed far enough below the clip to allow enough time for it to finish playing. For example, you don't want to cut away to the next action until the person in a video is finished talking. Visual Communicator provides a simple way to automatically begin the next action at the end of the previous video clip.

Right-click on the left handle of the Action Tray and select Smart Position Next Action from the pop-up menu.

Tighter Action Timing

If you have Visual Communicator Studio, you can take advantage of the enhanced Action Area and Tray controls. The Action Area Tick Mark Ruler provides you with a visual measure of time and the blue time tabs let you know the exact location of your tray. Overlap and collapse Action Trays to achieve even closer timing. For example, if you go to the Director tab and set your Scroll Speed to 10, the time between actions can be as short as 1/3 of a second.

The Tick Mark Ruler

The ruler gives you a visual measure of time to place your action trays by.

The Time Tabs

  • Slide the cursor over any part of a tray to display the blue time tab.

Overlap Trays

  • Drags trays on top of each other.

Collapse Trays

Action Trays can be made smaller to accommodate closer timing.

  • To collapse trays, right-click a tray and select Collapse Tray from the pop-upmenu.
  • Drag the collapsed trays as close as you like.
  • To expand collapsed trays, right-click a collapsed tray and select Expand Tray from the pop-up menu.

About Media Files

Media files are the source of the images and sound that you put in your show. Many Media files come with Visual Communicator or they can be created in programs you already have like Microsoft PowerPoint® or Adobe Photoshop®.

Some media files, like titles can be created within VC using the Advanced Titler, or you might download media from the Internet like songs purchased from an online music store. Video and audio files can also be recorded and created right in Visual Communicator using your camera and microphone.

Media File Types

Media graphics files can be photos or artwork, title graphics, opening or closing slates, or lower third titles. They can also be audio, and video files.

The following graphic, audio and video media files types are compatible with and can be read automatically by Visual Communicator:

Graphic Media Files

.BMP - BMP (Bitmap) is a standard graphic file format for DOS or Windows compatible PCs. It is an uncompressed format that results in relatively larger files but has no image loss from compression.

.JPG - JPEG (Joint Photographic Experts Group) is a compressed file format that results in relatively small files. JPG format is most commonly used for photographs on the Internet. If compressed too much, JPG images can start to appear soft or blocky.

.PNG - PNG (Portable Network Graphics) files are used for lossless compression. In english this means that they can be compressed to a smaller file size without a loss of quality. One advantage of using .PNG files is that they can support images with millions of colors.

.PG - This is the file type that Visual Communicator's Advanced Titler program, Alpha CG, uses. Title files that come with VC are in this format.

Audio and Video Media files

.AVI (Audio Video Interleaved) is a Microsoft file format for digital audio and video playback.

.MPG - MPEG (Moving Pictures Expert Group) is a standard compressed format for audio and video files.

.WAV - An uncompressed file format for high-quality audio most commonly used on Windows based PCs.

.WMA - (Windows Media Audio) is a Windows compatible, high quality, small file size audio format.

.MP3 - MP3 is a compressed file format that reduces the size of audio files without significantly compromising sound quality.

For information about the VC Output files that VC saves your shows to, see About Visual Communicator Files.

Adding Visual Communicator Media Files To Your Show

About VC Media Files

Visual Communicator comes with an enormous collection of Media files ready to be added to your shows. In fact, there are so many to date that we can't possibly list them all here. Media files are grouped within these Media tab libraries.

Video Effects - A collection of transitions, effects, and actions.

Styles - An assortment of pre-produced visual elements that can be customized with your information. These include title graphics and animated backgrounds.

Topics - An assortment of title graphics and text templates categorized by topic.

Videos - The Camera input icons which represent your live video camera as well as the pre-recorded talent videos in .mpg format that you can put in your shows.

Graphics - Solid color, still photo and animated backgrounds for use with V-Screen or without. Simulated studio backgrounds, cartoon style pop-up balloons and graphics, text and credits effects.

Audio Tab - TV-quality music tracks categorized by music style and pre-recorded talent sound-bites and sound effects in .wav and .wma format.

You can also use your own standard PC audio files. WAV and MP3 formats are supported.

LIBRARY SHORTCUTS

We've provided some shortcuts to help you navigate and manage the files in the Media libraries.

Right-click in the white area in a library

  • Copy - Copies selected files for paste in another folder.
  • Paste - Pastes previously copied files into the current library folder.
  • Set Current Directory as Home - Sets the current folder as the default destination when the Home button is clicked.
  • Reset Default Home Directory - Resets the Home button to the program default.

Right-Click on a file in a library

  • Delete - Deletes selected files.
  • Rename - Rename the currently selected file.
  • Add to My Favorites - Adds the selected files to the Favorites Folder specified in the Application Settings.

Dragging Media Files Into Your Show

To add a media file to your show, simply locate the file you want to add and drag it into the Action Area. An Action Tray will be created for it automatically. Then, drag it to the place in the show where the action should occur.

Adding VC Graphics, Art, Titles or Photos

  1. In the Media area, click the Graphics tab.
  2. Locate the image you would like to add and drag it to the desired location in the Action area.

  3. An Action Tray will be added to the Action area containing the image you selected on the right and a default effect on the left.
    • To replace the image with a new one, simply drag a new image on top of it.
    • To preview an image in the Monitor window, double-click it or right-click it and select Preview.

Create a handy stash of favorite media files and retrieve them quickly without going on a folder search. Right-click any media file in the Media area and select Add to My Favorites. Click the Media Area file drop-down list and select My Favorites to see your file added to the folder.

Adding Titles, Text and Templates

Visual Communicator comes with a large collection of title styles and templates. Titles are organized within the Topics and Styles folders and can be inserted manually or automatically by using the Wizards. See Test Driving With a Wizard.

Titles are available in full screen and lower third formats. Lower third titles are transparent in the top two thirds of the image and can be superimposed over video or still images or graphics. Another common use of titles is to superimpose them over a still image or background and then have them move through the image as seen in movie credits. You can use the controls in the Action tab to modify how titles or credits move.

Adding a Lower Third Title to Video

  1. In the Media area, click the Videos.
  2. Drag the Comedy Showcase Intro .mpg file video into the Action area. A new tray for the video is created with an effect on the left side of the tray.
  3. In the Media area, click the Styles tab.
  4. Double-click the Contemporary folder to open it. Lower Third titles have names beginning with LT and a checkerboard background. Whenever you see this checkerboard background in a graphic, it represents the transparent area in an image.

  5. Drag the LT News Bulletin title graphic under the tray containing the video file that you just added. An Action Tray is added containing the LT title you selected and an effect.

    To preview titles in the Monitor window, before adding them to a tray, double-click it or right-click it and select Preview.

  6. Click the Rehearse button to check the timing and duration of your video and title.

    To reduce the lag time between the video display and the title, you can overlap your trays by dragging them almost completely on top of each other. If you have Studio, see Tighter Action Timing.

    To change the length of time that the title stays on screen, click the effect in the LT title's action tray. In the Actions tab, adjust the amount of time in the Pause Time field. Then click the Preview button to view the change in the Output Monitor.

    To change the amount of time the LT title takes to move on and off screen, change the number in the Duration field.

    To replace the title with a new one, simply drag a new title on top of it.

Adding Titles to Graphics

You can superimpose titles or credits over graphic files. Click the Graphics tab and open the Text Effects folder to find a variety of titles and credits with transparent backgrounds that you can place over a photo or graphic image. You'll also find effects that can move your text here.

Making Titles or Credits Move

Add one of the text move effects in the Text Effects folder to the Action tray holding your credit or title graphic.

Set the Duration time to control the amount of time it takes the credit to move on and off screen.

Editing the text within a title

  1. Click the title so that it appears in the Preview window on the Actions tab.
  2. Click the Edit button.
  3. In the text field enter the text that you wish to display.
  4. Click the right arrow button to edit the next line of the title.
  5. Repeat steps 3 and 4 for each title.
  6. Click the Done button.

    The Title in the Action Tray should now display your new text.

Changing the color, style, texture and other effects in the title

  1. Click the title so that it appears in the Preview window on the Actions tab.
  2. Click the Title Editor button.

    You'll see the Alpha CG window open. Alpha CG contains lots of fun treatments to add to your titles. Experiment and review it's Help system for more information. From within Alpha CG, Click Help in the Menu Bar and select Help Topics. Also, see VC Help.

Title to Title Dissolve Effect

This effect is used to dissolve from one title graphic to another.

  1. In the Media area, click the Video Effects tab.
  2. Double-click the Advanced folder to see the Dissolve Title To Title effect.
  3. For detailed step-by-step instructions for this effect, see Help. From VC, press the F1 key.
  4. Click the Help Search tab and enter "title to title".
  5. Click the List Topics button and follow the steps on your screen.

Adding VC video clips

Visual Communicator comes with a variety of video clips ready for use in your show. The professional talent in these pre-recorded clips can add polish and yes, even humor to your show without the expense of hiring a professional announcer yourself. Depending on your sense of humor, you may find some of these clips to be quite funny, but then again you may not. If not, we apologize in advance!

  1. In the Media area, click the Videos tab.

    2. You'll see folders of sample video files in .mpg format.

  2. Double-click the Campus Update or Reactions folder.
  3. Double-click the .mpg files in the Videos library tab to preview the video in the Output monitor window.
  4. Once you have located the .mpg video file that you want to use, position the cursor over the file, hold down the left mouse button and drag the icon into the Action Area.
  5. Visual Communicator creates an Action Tray and places the new file in it.
    • To preview the video, double-click it.
    • Replace the video by dragging a new video file on top of it.
  6. Try rehearsing your show with the new video.

Adding animated background effects

Animated backgrounds require more PC processing power than still backgrounds and the resulting show file can be significantly larger than a show with still backgrounds. Try an animated background but if your system has problems supporting it, consider using a still background. To learn how to add an animated background using V-Screen, see Adding an Animated Background.

Adding Audio from the VC Library

Additional audio elements can have a bigger effect on the audience than most people realize. Good music and sound effects add a lot of impact.

In the first year of film school, students are sometimes shown a very intense and scary movie, such as The Exorcist, but with the audio off. Without the audio, the movie goes from scary to almost funny. The difference is amazing; you can try this experiment at home with your TV and VCR.

Visual Communicator provides you with an extensive library of music, but you can also easily import your own music into your project as WAV or MP3 files. If you put a bit of thought into audio, you'll find it can be one of the easiest ways to add interest to any video project.

There are separate folders for musical styles such as Classical and Blues & Jazz as well as a folder for Sound FX.

  1. In the Media area, click the Audio tab.

    You'll see folders of sample audio files in .wav and .wma files format.

  2. Double-click the Sound Bites folder and double-click the audio files to hear them.
  3. Once you have located an audio file that you want to use, position the cursor over the file, hold down the left mouse button and drag the icon into the Action Area to create a new empty tray for it or drag it onto an existing action to add audio to a visual action.

  4. The audio will appear as a small speaker icon in the middle of the tray.
    • To hear the audio, double-click the icon.
    • Replace the audio by dragging a new audio file on top of it.
  5. Try rehearsing your show with the new audio.

Adding Actions and Effects

Transition Effects

Transitions can help your video flow more smoothly from one scene or action to another. They can add visual interest and help to keep your viewer engaged. VC automatically includes a default transition whenever you drag new image media into the Action Area. The new tray that is created contains the default video transition effect, dissolve.mfx but you can replace it by simply dragging a new effect on top of it.

If you like the idea of always using the same default effect but don't happen to like Dissolve.mfx, you can change the default effect to whatever you like. Click Settings in the Menu Bar, select Application Settings and next to the Default Effect: field, click the Browse button to find and select another effect.

VC transition effects come in a huge and growing variety of styles including but not limited to megamoves, wipes, dissolves, page peels, shatters, flybys, over the shoulders, multi sparks, head to heads, moves, slides, sparks, spins, squeezes, asteroids, bubbles, swirls, pixie dust and many, many more. The list sounds like something from a fireworks convention but trust us, using them is even more fun than naming them.

It would take many pages to describe each effect so instead we encourage you to experiment. Click the Video Effects tab, experiment with them and you'll see what we mean. Double-click the transition effects to see examples of how they work. In this case, words fail to do them justice.

Here is an example of inserting a simple transition effect.

  1. Click the Graphics tab and drag an opening graphic image from the Graphics tab library to the top of the Action Area.
  2. Drag a second image file underneath the first Action Tray.
  3. Click the Video Effects tab and double-click the Slides folder to open it.

  4. Drag the Slide Off Down Left effect to the left side of the second tray.
  5. Click the Rehearse button.

    The first image fades into the opening scene. Then as the second action tray passes through the Action bar, the first image slides diagonally off to the left to reveal the image in the second action tray.

If you use a page-peel effect on your opening graphic that unpeels to the right, try to use a corresponding effect in your closing graphic like a page-peel that closes to the left. Strive to use effects that are compatible with each other and that move in a direction or way that makes sense and is not jarring to the viewer.

Customizing Effects with Basic Effect Controls

You can modify the way that an effect behaves by making adjustments in the Actions tab. Double-click the effect in the Action Tray to display it's controls in the Action tab. The controls on the Action tab will vary depending on the selected effect. The example above displays the controls for a Video Wipe Effect. The Video Wipe Effect controls allow you to:

  • Set the effect duration time.
  • Create a pause of a set length before the effect reverses.
  • Smart trigger the next action at the end of the selected action.
  • Pause the Teleprompter while rehearsing or recording the effect.
  • Set the transition mode of the effect.
  • Set the amount of softness applied to the edges of a video source.
  • Reverse the direction of the effect.

To learn more about how to use each control, make sure that you have the Tooltips turned on and move the cursor over a control. A yellow pop-up window will display with an explanation of how the control works.

  1. To enable Tooltips, click Settings in the Menu bar.
  2. Select Application Settings and mark the Enable Tooltips checkbox.

Customizing Effects with Advanced Effect Controls

Visual Communicator Pro introduced Advanced Controls for many Video Effects and Studio also includes them. Use the Advanced controls to further customize your effects. The controls for each Effect vary but we'll show you how to get started here and describe examples of each control.

  1. In the Media Area, click the Video Effects tab.
  2. Double-click the Slides folder.

  3. Drag the effect called Slide Off Down Left into the Action Area.

    4. The Actions tab displays the controls for the effect.

  4. Click the Advanced button to see the Advanced Controls.

Preview Scrub Bar
Move the slider left or right to preview the effect in the Output Monitor. The preview moves at the speed you move the slider. This is very useful for customizing an effect as you can preview the effect at its halfway point and see the changes you are making.

Advanced Effect Control Examples

Wipe Transform Angle Changes the angle of a wipe effect.

  1. Click a Wipe Effect in an Action Tray.
  2. In the Actions tab, click the Advanced button.

  3. In the Name column, click Wipe Transform.

    This changes the controls at the bottom of the Actions tab. Change the Angle number or drag the green grid around to alter the angle of the wipe effect.

  4. Click Preview to see your changes.

Wipe Tiling
Enables a mirrored or tiled effect, but only after the current wipe effect has been transformed with the Wipe Transform option.

Select the Wipe effect you wish to alter, then click the Actions tab and click the Advanced button. Select the Wipe Tiling option. After you have transformed an effect you can select either the x and/or y Mirror checkbox and then use the effect slider to see how these settings change the Wipe Effect.

Wipe Pattern
The grey gradient used as the wipe pattern for the effect. Select the Wipe effect, then click the Actions tab and click the Advanced button. Select the Wipe Pattern option. Here you can change the pattern of a wipe by browsing to it with the Browse button. The file used to determine the wipe's pattern is a .PNG file. It will change the wipe for the current show; it will not make a permanent change to the wipe effect. Click the Revert button to change the Wipe Pattern back to its default setting.

Bar Count
Changes the number of bars in an effect. Insert and double-click the Blinds Vertical Rotate effect in an Action Tray. On the Actions tab, click the Advanced button. Click Bar Count and drag the slider left or right to choose the number of bars (between 2 and 50).

Bar Rotation Count
Changes the number of rotations in a bar effect. Double-click the Blinds Vertical Rotate effect in an Action Tray. On the Actions tab, click the Advanced button. Click Rotation Count and drag the slider between -3 and 3. If you select a negative number, the bars will spin counterclockwise, if it is positive, they will spin clockwise.

Bar Delay
Changes the amount of time inserted between bars in a Blinds Open effect. Double-click a Blinds Open effect in an Action Tray. On the Actions tab, click the Advanced button. Click Bar Delay and drag the slider between -1.00 and 1.00 to select the amount of delay before each bar begins.

Content Path
Changes the background of an effect. Double-click a Double Box effect in an Action Tray. On the Actions tab, click the Advanced button. Click Content Path. Click the Browse button and search for the background image or video file you would like to use.

Zoom
Changes the amount of zoom in a zoom effect. Double-click a Zoom effect in an Action Tray. On the Actions tab, click the Advanced button. Click Zoom. Drag the Zoom slider from 0.0 to 20.0. The higher the number, the closer the first image is zoomed.

Zoom functionality is not available with all video cards.

Spin Final Position
Changes where the A source spin out ends in a Spin Out effect. Double-click the Spin Out Pro effect in an Action Tray. On the Actions tab, click the Advanced button. Click Final Position. Change the x, y, and z axis numbers to adjust where the final position of the spin out source will be. You can also drag the cursor around in the Final Position box to move the effect around manually.

Spin Initial Position
Changes where a spin starts on the Screen. Double-click the Spin In Pro effect in an Action Tray. On the Actions tab, click the Advanced button. Click Initial Position. Change the x, y, and z axis numbers to adjust where the spin begins. You can also drag the cursor around the Initial Position box and move the effect around manually.

Spin Count
Changes the number of Spins for the A source. Double-click the Spin Out Pro effect in an Action Tray. On the Actions tab, click the Advanced button. Click Spin Count. Use the slider to set spins between -5.0 to 5.0. If you select a negative number it will spin out counterclockwise and if it is positive it will spin clockwise

Radius
Changes the radius of the circle path in a Swap Around effect. Double-click a Swap Around effect in an Action Tray. On the Actions tab, click the Advanced button. Click Radius. Drag the radius slider between 0.33 and 0.67. The larger the number, the larger the path the swap effect will take.

Revert
This button will change the effect back to its default state after it has been altered in the Advanced settings under the Actions tab.

Rotation Direction
Changes the direction of a rotation within an effect. Double-click the Billboard Rotate Vertical effect in an Action Tray. On the Actions tab, click the Advanced button. Click Rotation Direction and click the Counter Clockwise or Clockwise radio button.

Scale
Controls how large or small the scaled effect will be. Double-click a Wipe effect in an Action Tray. On the Actions tab, click the Advanced button. Click Wipe Transform. Enter numbers in the Scale field.

You can also shift-click in the Wipe Transform box and move the mouse up and down to change the scale.

Creating and Adding Your Own Media

Creating Your Own Graphic Files

Creating your own media files gives you the opportunity to really customize your show and make it your own. If you are creating a business video and are lucky enough to have a collection of corporate images and product photos available to you, this will be a snap. If you need to create your own we'll try and provide some tips here.

Visual Communicator is compatible with any .BMP, .JPG, .GIF, .TGA, or .PNG graphic file. These files can be created in most 2D and 3D graphics programs like Adobe Photoshop or Jasc Software® Paint Shop Pro.

Save your image files in at least 320 x 240 or higher resolution. Whatever resolution you choose, use a 4:3 width/height ratio (such as 640 x 480). Use a resolution that will look best in the format that you are publishing to whether that will be a web page or digital video. To determine the best resolution, preview your image quality by publishing a sample of your show and scrutinize it in it's final format. If the quality is not good enough, try again in a higher resolution.

If the graphic you select is not the right size, Visual Communicator will automatically scale it to fit. Any 32-bit images will be treated as graphics with transparency.

Once you have created your image file, you can move it to the Visual Communicator content directory to be included in your show or,

you can browse to your file by clicking the Browse tab in the VC Media area.

Once you have located the file in the Media area, position the cursor over it and drag the image icon into the Action Area. Visual Communicator automatically creates an Action Tray and places the new image in it. Double-click the icon in the tray and you will see a preview of the new file in the Output Monitor window. Try rehearsing your show with the new file.

Creating and Adding Your Own Video

Using Live Video in Your Show

There are at least 3 ways to add live video to your show. The easiest way is to set up your camera in the Video Setup tab and then let VC add your active camera input automatically whenever you add new Video Effects. See Installing Your Camera if you have not already set up your camera.

  • Whenever you add an Effect to your show, the new Effect tray automatically contains the active camera icon. This way, the effect automatically goes back to the active camera unless you change it to something else.
    Whenever you wish to go back to the active camera, simply drag another effect into the show.
    You can replace the active camera icon by dragging other media on top of the icon in the Action Tray.
  • When you create a new project, (by clicking the New button on the Project tab), it is automatically loaded with two trays.

    The first tray contains a default transition and a live video icon representing the camera that you have configured in the Setup tab. This is your "active" camera. The second tray contains a transition and a "Go to Black" graphic for the end of your show.
  • You can also add live video to your show by dragging the Camera icon from the Videos library tab to the Action area.

To add your existing video files to a show

Access your own video files anywhere on your computer or network by using the Browse tab which lets you navigate to external content outside of the Visual Communicator folders.

Visual Communicator can use any video clip in .AVI or .MPG format. These files can be created in just about any PC video editing program or they can be previously created Visual Communicator shows that were saved as .AVI files.

Once you have located an .AVI video file that you want to use, position the cursor over the .AVI file, hold down the left mouse button and drag the icon into the Action Area.

Visual Communicator creates an Action Tray and places the new file in it. Double-click the right-side icon in the tray and you will see a preview of the new video. Try rehearsing your show with the new video.

You may need to use Smart Position when you add multiple video clips. Just right-click on the video clip in the Action Tray, and select Smart Position Next Action from the pop-up menu. This will automatically space the next action to the end of the previous video clip, so that it doesn't trigger the next action before the video clip is done playing.

Adding Live Video From More Than One Camera

If you have Visual Communicator Studio, you can use more than one camera in your show and take advantage of multiple camera angles and have cameras for more than one person. To connect additional cameras, see Installing Multiple Cameras.

  1. After you've connected your additional cameras, in the Media area, click the Videos tab and scroll down until you see an icon for Camera 2.
  2. Drag the Camera 2 icon onto the right side of an Action Tray.

    The video image from Camera 2 should appear in the Output Monitor window.

Transitioning between Cameras

  1. Position each camera to capture the desired shot.

  2. Drag the Camera 1 icon into the Action Area to create a tray for your first camera input.
  3. Drag the icon for Camera 2 into the Action Area to create a tray for it.
  4. If you plan to transition straight from Camera 1 to Camera 2, add a transition effect into the left side of the Camera 2 Tray.
  5. Practice the shots by clicking the Rehearse button until you've got it down, then click the Record button.

Use a pop-up menu to add camera icons. Right-click the right side of an Action Tray and select Assign Camera 2.

Capturing Video From Other Recordings

The Capture feature allows you to record segments of video from a tape in your video camera or VCR that is connected to your PC. Connect a VCR to your computer to record video played from a video tape. Connect a camcorder to record video from a camera tape. When you have finished capturing, the files are saved to your hard drive and you can browse to them from the Media area and add them to your show as you would with any other media file.

If you haven't already connected your camera, see Installing Your Camera. Make sure that your camera is turned on so that VC can recognize that it is there.

  1. If you want to add video clips to a new project, click the Project tab under the Output Monitor window then click the New button.
  2. Your new Project name appears in the Project Name field. You can change it if you like.

  3. Click the Capture button to bring up the camera and recording controls.

    If you are using a DV camcorder or VCR and it is connected to your PC through a FireWire (IEEE 1394) cable, use the Tape Control buttons at the bottom of the tab. Be sure to switch your camera into VCR mode.

    • The Capture File field displays the name of the file that your clip will be saved to. We suggest saving clips to file names that will make the content easy to identify.
    • To see all of your captured clip files, click the Browse button.
  4. Use the Tape Control buttons to play, fast-forward, reverse, pause or stop your camera. The time indicator below the buttons displays where you are on your tape.
  5. Play your tape to find the segment that you'd like to capture. Then, reverse the tape to perhaps 5 or 10 seconds before the segment begins.

    Allowing extra time at the beginning and end of the desired segment allows you extra room for scene transitions and effects.

  6. On the Project tab, name the video clip you are about to record in the Capture File field.
  7. When your segment is cued up and you are ready to begin capturing, click the Record button.
  8. When you are done, click the Stop button.
  9. To locate the clip you just recorded, click the Output tab in the Media Area. Then open the My Captured Clips folder. You'll see the clip you just recorded in this folder.
  10. You can use this video clip as you would any other media file. Drag and drop it in the Action Area.
  11. Click the Done button to exit the Capture window.

Trimming Video Clips

  1. After you have dragged your clip into the Action Area, click it in the Action Tray.
  2. Click the Actions Tab and then click the Trim button at the bottom of the tab.

    You will see a Start slider, a Length scroll-bar and an End slider. These controls are used to make adjustments to the start and end point of your clip. This will subsequently change how much of your video clip is played.

    We suggest that you record an extra 5 seconds before and after the segment you want to use. This extra time makes it easier to adjust the trim on your video clip.

  3. Drag the Start slider to view the clip and move to the point in the clip where you'd like the video to begin.

    Everything in the clip before this point will no longer be seen or heard.

    Repeat the same steps for the End slider, changing the end point of your video. Anything in the video after the End slider position will not be seen or heard.

    The Length scroll-bar represents the length of the video. The length of the scroll-bar will change in size as you change the start and end time or shorten your clip.

    When you use the Trim feature, your original video clip remains completely intact. You do not actually remove any of the clip. You simply define at what point the clip should begin and end. When you drag the Length scroll-bar left or right, you are sliding a "window" within the original video clip.

  4. To see the results of your trim, click the Preview button. You can go back and make any changes you like.
  5. When you are finished trimming your clip, click the Done button.
  6. To view the final result of the adjustments as they will be seen in your show, double-click the clip in the Action Tray.

    If you need to, you can still go back to the Trim feature and adjust your trim there. None of your original clip is lost.

    If you'd like to trim your clip one frame at a time:

    Click the white Start or End slider and press the left or right arrows on your keyboard to move one frame at a time.

    When you're finished, you can build your show around the clip or save it in a show for later use. You can also drag and drop any video clip you capture into any show you have already created.

Adding Your Own Audio

Use your own sound files (.WAV and .MP3) in your shows. You can access them anywhere on your computer or network by using the Browse folder which lets you navigate to external content.

  1. Click the Browse tab and move through your folders to find your audio files.
  2. Once you have located an audio file that you want to use, click and drag it into the Action Area. Visual Communicator creates an Action Tray and places the audio file into it.
  3. Double-click the left icon in the tray and you will hear the new music or sound.

Try rehearsing your show with the new music.

Adding Web Links to Your Page

In Visual Communicator Studio, when Web Links are used in conjunction with web publishing, you can synchronize the display of live web pages, images or slides with events in your video.

Synchronizing Web Links

To effectively time the display of your Web Link, you should understand a bit about when Web Links happens in relation to the Action in it's tray. Web Links occur simultaneously with everything else in the Action Tray as they enter the Action Bar. If the action in the web linked tray is a transition, your viewer sees the transition and the "fade-out" of the media in the previous tray as the Web Link occurs.

Adding a Web Link to an existing tray:

  1. In VC Studio, click the Video Effects Tab and double-click the Advanced folder.

  2. Drag the Web Links icon to the action that you would like to synchronize.

  3. Click the small Web Links icon that appears in the tray.

    On the Actions tab, the Web Link properties are displayed.

Copy and paste a URL into Web Link Properties:

1. Open your browser and enter the URL of the image file. For example: http://www.seriousmagic.com/images/logo.gif.

2. Then, right-click the URL in the browser address field and select Copy from the pop-up menu.

3. Return to Visual Communicator Studio and right-click in the Address field and select Paste from the pop-up menu.

Adding a Web Link to new tray:

If you would like more control over when a Web Link occurs, drag the Web Link icon onto an empty spot in the Action area and it will appear in it's own separate tray.

Click the link icon to edit Web Link properties and drag the tray up or down to achieve the desired timing.

Creating a Web Link to a Web Site

  1. In the Type drop-down list, select URL. In the Address field, type the URL of the web page you'd like to display, for example:

    http://www.seriousmagic.com

  2. In the Target drop-down list, select where you'd like the show to display.
    • To display the media in a second frame within the same window as the video, select Embedded in Web Page (Studio Content). (This is the default option.)
    • To display the web page in a new and separate window, select External Browser.
    • To display the media in the bottom frame of a Real Player window, select Real Player Browser Pane.
    • To display the media in the top right frame of a Real Player window, select Real Player Info Pane.
    • To create your own frame within the same window, select <Enter Custom>. The Enter Custom option is an advanced feature which allows you to create your own web page frame and frame name. To learn more, see Advanced Web Scripting Options.
  3. Save your project.
  4. Publish your web page making sure to click the Trigger Links checkbox as shown in Publishing Your Show.

Creating a Web Link to an Image File

  1. In the Type drop-down list, select URL.
  2. In the Address field, you can type the URL of the image file that you'd like to display or you can quickly copy and paste the URL from your browser Address field.

    To enter the URL, type the relative path to the directory where your image is stored. For example:
    images/logo.gif

  3. Now, just complete the process from step 2 in Creating a Web Link to a Web Site.

You can use absolute paths in your image file URL but we recommend using relative paths. This allows you to view your image file both before publishing on your local hard drive and after you publish your show to a live server.

Creating Web Links to PowerPoint slides

Resizing your PowerPoint slides

In PowerPoint, once you have finished creating your slide presentation, you'll need to save it to a custom sized image file which will fit within your VC Studio web page. If your audience will have a screen resolution of 1024 x 768 we suggest saving your slides to 8.8 x 6.6 inch .jpg images. PowerPoint allows you to do this in just a couple of quick steps.

  1. In PowerPoint, click File in the Menu Bar and select Page Setup.
  2. In the Slides Sized for drop-down list, select Custom.
  3. In the Width field, enter 8.8.
  4. In the Height field enter 6.6 and click OK.
  5. Now click the File and select Save As.
  6. In the Save As Type drop-down list, select JPEG and click the Save button.
  7. When you are prompted, choose to export Every Slide in the presentation and click OK.
  8. Now, publish the slide .jpg files to your web server.

Creating a Web Link to a PowerPoint Slide jpeg

  1. In VC Studio, click a Web Link icon in an Action Tray and the Web Link properties are displayed on the Actions tab. In the Type drop-down list, select URL.
  2. In the Address field, enter the URL of the slide .jpg that you created in PowerPoint.

    You can quickly copy and paste the URL from your web browser. See the tip, Copy and paste a URL into Web Link Properties:.

Adding Chapter Markers to Your Page

Adding Chapter Markers to your show allows you to add scene or action selection menus to your web page.

  1. To add a Chapter Marker to your web page, click the small Web Links icon in the Action Tray to display the Web Links properties on the Actions tab.

  2. On the Actions tab, click the Activate Marker checkbox.
  3. In the Title field, enter the name of the Marker as it should appear on your page.

    This name will appear as a link underneath the show.

  4. Repeat this process for any additional Chapter Markers. The Markers will be listed in the order of the linked actions in the show.

Whenever you add a Full Screen Title Slate to your show, a Chapter Marker is created for it automatically.

If viewers of your page are not able to see or use the Web Links on your page, they may need to check their Player Security settings. For example, in Windows Media Player, on the Security tab. The Run script commands when present checkbox must be checked in order to use Web Links.

Advanced Web Scripting Options

You can add custom scripting in the Actions tab. To synchronize a call to a custom script, select <Enter Custom>. Advanced users can create their own custom scripts and synchronize a call to their scripts here.

  1. In the Type drop down list, select <Enter Custom>.
  2. In the Parameter field, enter the first parameter of the script in the Value field.
  3. In the Target drop-down list, select the window or frame where you would like the new action to appear.

Automatically Adding and Removing Web Links

You can create Web Links manually or you can have VC Studio create them for you automatically.

  • To add Web Links to every tray in the show, right-click in any white area in the Action Area and select Add Web Links to All Trays.
  • To remove one link at a time, right-click the link icon and select Delete Web Links.
  • To remove all Web Links from the show, right-click in the Action area and select Clear All Web Links.

For each Web Link that is added, click the Web Link icon and complete the Web Link properties in the Actions tab as needed.

Adding PowerPoint files to Your Show

Slides from Microsoft® PowerPoint presentations can be added to your show no matter what version of VC you have. However, each version varies in it's level of ease.

  • If you have VC Web, Web is not directly compatible with the PowerPoint file format however you can save slides from within PowerPoint as standard .JPEG or .BMP files and insert them into your show as graphics.
  • If you have VC Pro, you can drag and drop your PowerPoint slides in their native format.
  • If you have VC Studio, you can embed PowerPoint slides within your show as OLE objects. (You can also publish your show to a web page and add Web Links to your PowerPoint files. See Creating Web Links to PowerPoint slides.)

An embedded slide will be updated automatically within VC Studio as soon as you save the changes within PowerPoint. Web and Pro users will not see changes unless it is recreated in PowerPoint and re-saved to a slide (Pro Users) or graphic (Web Users).

PowerPoint must be installed to use the .ppt import feature.

For best results, create your slides with larger text to make them easy to read within your show.

For VC Web Users:

Save your slides as bmp or jpg files and drag and drop them into Visual Communicator. Arrange them in the Action Area where you can use the special effects and other options to enhance your show. If you change some text in your PowerPoint slides, you can simply export the slides to the same directory. Visual Communicator will use the new files without you having to re-drop them, as long as the names to which you export are unchanged.

  1. Click the Browse tab in the Media area.
  2. Navigate to your slide file and drag-and-drop the file into the Action Area.

For VC Pro Users:

  1. Click the Browse tab in the Media area.
  2. Navigate to your slide show .ppt file(s) and drag-and-drop the file into the Action Area.

    3. Visual Communicator Pro creates Actions for each slide and reproduces PowerPoint's transitional effects between the slides, replacing them with Visual Communicator's, smooth running editable effects created especially to replace the transitions you have imported.

For VC Studio Users

Studio makes it easier than ever to add slides by embedding them as dynamic objects.

  1. In Visual Communicator, create an empty tray for each PowerPoint slide that you wish to add. In PowerPoint, right-click the slide you'd like to embed and select Copy from the pop-up menu.

  2. Go to VC Studio, right-click the right side of an empty action tray and select Paste-Special from the pop-up menu.

  3. In the OLE Clipboard selection window, click the Paste Link radio button.

  4. The slide appears in the action tray.

To see automatic updates in your VC Studio project:

  1. In PowerPoint, make any text edits to the slide.
  2. Save the slide in PowerPoint.

    The changes you made in PowerPoint will appear in your VC project.

If you have made changes to your embedded file but are not seeing the changes in VC Studio, try right-clicking the object in the Action Tray and select Update Link.


Using V-Screen

  • Using V-Screen to Create a Background
  • Ordering a Serious Magic V-Screen or Making Your Own
  • Setting Your Camera Properties for V-Screen
  • Using Virtual Sets

Using V-Screen to Create a Background

How V-Screen Works

V-Screen does its visual magic by electronically replacing the backdrop behind you with a digital picture or video clip. To do this, Visual Communicator requires that the existing backdrop behind you be a different color than the foreground or subject. It's important to note that green-screen effects typically require some adjustments during set-up to achieve the best results even if you are using expensive equipment in a TV station. While it is easy to get the V-Screen effects working, it will probably take a few tries to get that "perfect key."

Hanging your Serious Magic V-Screen

If you purchased Visual Communicator Web or a later version, you already have an approximately six by five foot square of Official V-Screen Material ready to be hung behind you. It's made of a reinforced polyethylene material with a matte non-reflective finish.

Hanging out

One side has a slight texture and the other is smooth. Hang it so that the smooth matte finish side faces your camera straight on (not at an angle). You'll no doubt have noticed by now that it is a remarkably stylish shade of green.

The V-Screen material can be attached to a wall with thumbtacks or adhesive tape. It can be attached to the ceiling with thumbtacks and left to hang down behind your chair. It can be draped over an office cubical wall or it can even be hung on some cord with clothespins like a sheet on a laundry line.

What to do about those unsightly wrinkles

Since the V-Screen comes folded it will have some creases. Over time, the creases will diminish. To accelerate the process, place the V-Screen on a clean carpeted floor and place some heavy books on it's edges. Move the books outward to slightly stretch the V-Screen. Leave it overnight and miraculously, the creases will be diminished by morning. No more expensive creams and lotions!

You can also use thumbtacks to attach the V-Screen to a wall or board. Stretch it tight as you apply the thumbtacks around the edge.

It's not necessary or even possible to completely eliminate the creases. As long as they aren't too deep they won't be visible in your video. The V-Screen technology was specifically designed to work with less than ideal backdrops.

If you use thumbtacks to hang the V-Screen on a wall, fold a small piece of tape over the edge where the thumbtack goes or fold the edge of the V-Screen back over itself. This will reinforce the V-Screen where it is pierced by the thumbtack.

Ordering a Serious Magic V-Screen or Making Your Own

It's now so much easier being green

If you don't already have a nifty Serious Magic V-Screen, you can order one from our web site Seriousmagic.com or you can make one of your own.

Serious Magic's V-Screen technology is quite adaptable but in general, a very bright and saturated green color gives best results. The best shades are commonly referred to as "Kelly Green" or "Irish Green". Kermit the Frog? is also a quite suitable shade of green.

Blue can also be used but green works slightly better. The best shade of blue is brighter than "Royal Blue" but darker and more saturated than "Sky Blue".

In the Pantone color chart, the optimal green is number 354. The optimal blue is Pantone Proc C.

For your convenience, we've printed swatches of the ideal colors on the back of the User Guide. Simply take the book with you when you venture out to buy your V-Screen materials.

The surface of your green or blue backdrop should be evenly colored and not shiny. If you are going to use paint, get "Flat" or "Matte" and not "Gloss" or "Semi-Gloss".

How big does it need to be?

Strive to attain a 5 by 4 foot area of flat, even color. If the backdrop is farther away from the camera, create a correspondingly larger backdrop to fill the entire frame seen by your camera. Roughly, for every foot of distance between your camera and the backdrop or wall, create approximately one foot of backdrop. For example:

  • If the webcam is five feet from the wall, your backdrop should be about five feet wide by four feet high.
  • If the webcam is six feet from the wall, the backdrop should be about six feet wide by five feet high.

Before buying materials for your backdrop, aim your camera where you plan to put the backdrop and look at the image on your screen to get a rough idea of the field of view you need to cover.

Optionally, move your monitor and web cam closer to the wall (this is usually easier than moving the wall closer to the web cam), or use an easel stand with a poster board-style setup and place it the appropriate distance behind you and your PC. Don't place your camera too close to the backdrop material or you might experience problems with shadows.

Clever ideas from our customers

It seems there are almost as many ways to create a V-Screen backdrop as there are users. Here are some examples:

  • A green or blue bed sheet works well if attached to a wall with thumbtacks or tape.
  • Most fabric stores have fabric in a reasonably close shade. It can be hung with thumbtacks. To fill a larger area you can overlap strips of fabric. Visual Communicator's V-Screen technology will not show small seams where the fabric overlaps if set up correctly.
  • Some users have found matte finish plastic or cloth table covers, painter's mats, tarps or tents in a suitable color.
  • Use several sheets of large poster board attached to the wall with adhesive tape (looped behind the poster board so as not to be visible). Try to get the edges as close to each other as possible to minimize the visible seams. Take care when removing the tape so as not to damage the paint on your wall.
  • Several manufacturers make gift wrap in a suitable solid green shade. (In North America, Target stores carry a store brand that works nicely). As wrapping paper can be a bit shiny be careful about `hot spots' that reflect light back into your camera.
  • Hardware or paint stores can mix paint to match Pantone colors. You can then apply several coats to a sheet of wood, drywall or paneling. If your boss or spouse is cooperative you could also apply the paint straight to the wall, (if your boss is your spouse we recommend extra caution).

Lighting the V-Screen

For general advice about good lighting for video, see Lighting. The key to good results with V-Screen is to make sure that the backdrop is lit brightly and evenly. Look at the image of the backdrop coming from your camera in the Output Monitor window of Visual Communicator. To assess your lighting leave the V-Screen feature turned off for now. Are there any parts of the backdrop that are near-black (not enough light) or parts that are near-white (too much light)? Are there hot spots?

The V-Screen technology can't work very well if any parts of the backdrop are too close to colors in the foreground subject. The best way to eliminate these problems is to bounce light off of a nearby wall or the ceiling. To learn how to bounce light away from your V-Screen see Using bounced light.

Wardrobe for Earthlings and other beings

By this point you've probably surmised that the foreground subject needs to have different colors than the backdrop in order be differentiated from it. Assuming that the subject is going to be you, make sure you aren't wearing a shirt or any clothing that's too close to the color of the backdrop. Also, avoid clothing that is mostly black or mostly white. Neutral colors work best. If your skin happens to be the same green color as the V-Screen backdrop, we suggest that you see a doctor (or a priest) before using V-Screen. If this particular shade of green is your normal skin color, may we be the first to welcome you to Earth. Klaatu barada nikto.

Setting Your Camera Properties for V-Screen

Before you start using V-Screen, you'll need to check some settings in VC. Whether you are using a web cam or a camcorder, you'll need to turn off it's automatic settings and do some fine tuning. Web cam properties are controlled within VC. Camcorder settings are on the camera.

  1. Access your camera properties:

    On a Web cam:

    1. In VC, click the Setup tab and then click the Video button.
    2. Click the Properties button.

    This will bring up the control panel for your camera or video input device. Use the controls in this panel to make adjustments.

    On a Camcorder:

    • Use the buttons or menus on your camera to make adjustments. See your camera manual to find the location of your Automatic Gain, White Balance, Exposure and Iris controls. Some camcorders allow you to "Lock" or "Hold" all automatic settings with one switch.
  2. Turn off any Auto settings on your camera.

    Some webcams and camcorders have an option which automatically adjusts the white balance, gain, iris, exposure and focus, etc. For V-Screen to work well, these automatic controls must be turned off. Deselect all the auto settings for your webcam or camcorder.

  3. Adjust your camera's Gain, Saturation, FPS or Shutter Speed settings for V-Screen and click OK.

    If your web cam or camera has Gain controls, set them as low as possible while still having a bright enough picture.

    • Having Gain too high can cause "noise" in the image. If the picture is too dark with Gain at a reasonable setting, this may be a sign that your camera needs more light.
    • Set your Saturation at a level that is similar to the color of the background. The result that you are looking for is one where the green stands out against everything else in the image.

For optimum results, the saturation should be similar to the digital background you are using. If you have a brightly colored image or video clip, set saturation higher. If your background color is muted, lower the saturation.

If possible, adjust your camera's frame rate to 30 or 15 FPS (frames per second).

If your camera has a shutter speed or exposure adjustment, try setting it to 1/50th of a second to start.

  4. Calibrate your camera image for V-Screen. This automatically calibrates the camera to the color of the backdrop material.
    1. In VC, click the V-Screen tab.
    2. Click the Active checkbox to activate the V-Screen.
    3. Move yourself, your shadow and your chair out of the view of the camera, so that the camera only sees the backdrop material and click the Auto-Set Key button or press the Alt+K hot keys.

Once you've clicked the Auto-Set Key button, keep the camera position, lighting and any shadows falling on your backdrop the same. If any of these things change too much, you'll start to see holes in your virtual background. If this happens, do another Auto-Set Key to recalibrate. You may also need to re-adjust your camera settings. Getting the perfect key is as much an art as it is a science.

Adding a V-Screen background

At the top of the V-Screen tab is an icon representing the image to be used as the default V-Screen background. Choose an image in the Graphics library or create an image file of your own. If you'd like to create backgrounds using your own photos or images, see Creating and Adding Your Own Media.

Select an image from the Graphics tab library:

  1. Click the Graphics tab to view the images.
  2. Double-click the folder called V-Screen Extras to see a collection of background images.
  3. Double-click some images to preview them in the Output Monitor window.
  4. Click and drag the image you've selected on top of the current image on the V-Screen tab to replace it.

    Your camera shot with the digital V-Screen background should be visible in the Output Monitor window.

Fine Tuning Your V-Screen Results

  5. Re-position yourself in front of the camera.
  6. On the V-Screen tab, click the Advanced button.

  7. Drag the Transparency slider left or right until no parts of your foreground subject are transparent.

    You may see what looks like static or sparkles in the background, this is noise.

  8. Drag the Level slider to the left or right until all noise is removed.
  9. When we set up the camera, you may recall that we adjusted the Saturation up. Now we'll make adjustments to Saturation with the Color slider to return the foreground color to the right levels. Drag the Color slider left or right until the foreground colors look correct in the Output Monitor.

Adjusting RGB Levels

The Red, Green and Blue sliders do not usually need to be adjusted but in some situations they can be helpful. Blue is typically the first adjustment to make. Blue can have the effect of increasing or decreasing the noise in the background. Next, Green can help to clean up the edges of your foreground subject. Finally, Red can help correct some noise in the background and also fine tune the edges of the subject.

If you are unable to eliminate all of the noise in your background, you may need to make some further lighting or camera adjustments.

Jerkiness

If you have a slower PC or an older graphics card you may see the video in the Output Monitor window become "jerky" during rehearsing or recording with V-Screen active. In this case, see the possible solution in Trouble Shooting.

Camcorder Users:

In general, camcorders will yield better results with V-Screen than webcams. However, the camcorder must be configured properly. All of the auto settings in the camera must be turned off including auto white balance, auto gain, auto iris, auto exposure, auto focus, etc. Some cameras allow you to `Lock' or `Hold' all settings with one switch. Others allow you to turn each setting off with menu options. Consult your camera's manual for details on how to turn all Auto settings off. For more information, see Turn off any Auto settings on your camera.

Adding an Animated Background

  1. In the Media Area, click the Graphics tab.
  2. Double-click the V-Screen Animated Backgrounds folder. Experiment with the animated .mpg files there by double-clicking them and watch the preview in the Output Monitor window. When you find one that is a good fit for the theme or message of your show, drag it to the V-Screen tab.
  3. Click the V-Screen tab and follow the same steps that you use to add non-animated backgrounds.

    4. If you find that your system does not have the processing power to support the animated background, click the Freeze V-Screen Background checkbox. This creates a still graphic out of your animated background.

Animated backgrounds take more processing power than still backgrounds and they can also cause the published video file to be larger. If you have a slower PC or your viewers have slower Internet connections, you might want to choose still backgrounds for your shows.

Changing Backgrounds Within Your Show

Ready for a change of scenery? Add some life to your show with a set change. Change your background to reflect changes in your video's mood or topic.

  1. Complete the steps in Fine Tuning Your V-Screen Results. Then, click the Videos tab and drag and drop your camera icon to the top of the Action Area.

    An Action Tray appears showing your camera as the media and a dissolve as the action.

  2. Click the Video Effects tab and drag and drop the green background (V-Screen Bkgd.mfx) effect just below the Action Tray with your camera in it.
  3. Click the Graphics tab and drag an image on to the V-Screen background Action Tray.

    What you just did was tell Visual Communicator: "When you get to this Action Tray, switch to this new background". Repeat these steps as often as you wish.

  4. Click the Rehearse button to view the result.

Setting Up More Than One Camera for V-Screen

If you plan to use two cameras using different V-Screen backgrounds, you must calibrate or Key each camera separately. Use the Auto-Set-Key button as you normally would to calibrate each camera.

  1. Click the V-Screen tab.

  2. If you already have one camera connected, the Input drop-down list displays Camera 1 and the background image for that camera is displayed in the small image.
  3. Click the Active checkbox to activate V-Screen.
  4. To calibrate a second camera, select Camera 2 in the Input drop-down list.
  5. Select a background image for Camera 2 by dragging one from the Graphics tab library over the existing image.

Using Virtual Sets

Using Virtual Set effects, VC can automatically create the illusion that you (or your images) are inside a virtual environment. VC comes with a wide variety of virtual sets for you to use. Some sets require that you have V-Screen activated while other Virtual Sets will work fine with just the camera source.

  1. Start with a new show that has no actions in the Action Area.
  2. In the Media area, click the Video Effects tab and double-click the Virtual Sets folder.
  3. Drag and drop the Wall_Vset.mfx file to the top of the Action Area.

    An Action Tray appears showing the virtual set. By default, the current camera input selected in the Video Input Device drop-down is inserted into the wall.

  4. To use a still graphic in the environment, drag an image in the Graphics library or drop it onto the virtual set in the Action Tray.

    Visual Communicator will now use this picture in the virtual set.

  5. Click the Rehearse button to view the result.


Rehearsing and Recording Your Show

  • Rehearsing Your Show
  • Recording Your Show
  • Reviewing Your Show

Rehearsing Your Show

Practice makes perfect they say and fortunately, you don't have to rent an expensive rehearsal studio to get your show down pat. All it takes is time so take your time and do what needs to be done to make a great looking show. With a bit of practice it's easy to deliver a show which is both polished and keeps the audience's interest.

Delivery

Always be clear and concise when delivering your presentation and use a script or an outline so your information flows smoothly from one topic to the next. Try not to embellish or overwrite your script. If you spend too much time on a topic you may lose your audience. The average TV news story is about a minute long. Watch a network television newscast and pay attention to the way the newscaster conveys the information, everything they say is scripted, clear and to the point.

You'll also notice that the news shows try to avoid being stuck on a "talking head" for too long. They insert graphics, video effects and over-the-shoulder visual elements to illustrate what's being said and keep things interesting.

How to Rehearse Your Show

When you are ready to start a rehearsal, click the Rehearse button.

You will see a countdown on the screen and then the show will start to scroll up through the Action Area. As Action Trays move up into the pink Action bar, you will see the actions take place in the Output Monitor window. As the text in the Teleprompter scrolls into the pink Action bar, that is your cue to read the words out loud.

Be sure to read from the pink bar so you are looking close to the camera. If you are not using a script, you can look directly into the camera when speaking.

If the text is moving too fast or too slow, click the Director tab where you can change the scroll speed by moving the Scroll Speed slider left (slower) or right (faster).

If actions take place too soon or too late, you can drag the trays down in the Action Area to make them occur later or up in the Action Area to make them occur sooner.

Recording Your Show

When your show is as polished as you can make it, you are ready to record. Recording is just like rehearsing, except that your camera and audio are recorded to an output file which you can later publish to the many different formats that VC has to offer. Just click the Record button and perform your show, except this time you will be recording the video from your camera and the sound from your microphone.

Adjusting Recording Settings

Before you record, be sure to turn the audio Output Volume down in the Setup tab so you don't get any feedback from your speakers through your microphone.

  1. Click the Setup tab and click the Audio button.
  2. Drag the Output Volume slider down to a medium or low level.

    3. If you are not relying on audio cues for your dialogue, you can click the Mute checkbox to completely mute the output for best results.

Sound Check

Visual Communicator can help you keep your sound levels in check while recording.

If the audio you are recording is too loud, you'll see an icon of a microphone in the Output Monitor window. Lower the recording level and try again.

In the Menu Bar, click Settings, then select Application Settings.

In the Preview Monitor Options section,

  • To see audio recording level alerts, mark the checkbox to Enable Audio Level Clipping Indicator.
  • Click Enable Recording Light to see a recording status light in the Output Monitor window when you are recording.

Make Sure You Have Enough Disk Space for Your Recorded Show

If you receive the message: "You are running low on disk space. Press "Ok" to continue recording, or "Cancel" if you wish to free up some space before recording." , this means that you don't have enough free space to record 30 seconds of regular (web cam) input or 5 seconds of full-res DV input. The location of your show project determines which disk drive the message is referring to. You should free up some space on that drive before recording your show.

Reviewing Your Show

After recording, click the Review button to review what you did. Your entire show, complete with the on-camera performance will play back.

After recording and reviewing your show, many types of changes are possible without having to re-record your show. For example, adjusting microphone boost and clip audio levels, replacing media, adjusting media colors, and even changing title text can be done and immediately reviewed and published. Only moving or adding Action trays requires re-recording the show.

If you have VC Studio, publishing becomes a bit easier because re-recording is required in fewer cases. Unless you have captured new audio or video you don't have to re-record before you publish. You can add Effects and Media without having to re-record your show before publishing.

You can review as many times as you'd like. If you feel that you need to change something, you can go back and make the changes, record again and review. You can repeat this process until you are completely satisfied with the results.

Once you are satisfied, save your project file.

  1. Click the Project tab.
  2. Enter your file name and click the Save button.

If you don't save your project before exiting, any recording that's newer than your project's last save date will be deleted.

Image Quality and Video Framerate

It may help you to know that whenever you rehearse, record or review your show, VC uses "cached" or simplified versions of any large images in your show to improve computer performance. Don't be concerned if what you see during these processes is not the quality that you expect in your final show. When your show is published, full size, full quality versions of your images are used to build the final show.

If you have enabled the Fullscreen Output feature, full quality images are used instead of "cached" images.

This same method holds true for video framerate. If during recording or reviewing, your show appears to drop frames, this will not happen in your final show. The VC Publisher will create each frame as it should based on the output framerate that you have selected.


Publishing Your Show

  • About Visual Communicator Files
  • Using the Publisher
  • Publishing to DV Tape
  • Publishing to Web Pages
  • Broadcasting Shows to a Large Screen
  • Including Live Video from a DV Camera

About Visual Communicator Files

Show Project Files

Before you publish your finished show, you should make a habit of saving your file. Visual Communicator saves your project as a project file. This project file has an extension, (the three letters after the period in your file name) of .MSH. This MSH file contains everything in your show, including your video and audio actions, settings, as well as your Teleprompter script. MSH project files contain the raw ingredients and instructions to make your final show.

Where Your Project Files Are Saved

  • If you are using an older version of VC such as VC Web or Pro, your project files are saved to this directory:

    C:\Program Files\Serious Magic\Visual Communicator\Projects

  • If you have a newer version such as VC Studio, your project files are saved to the My Projects folder under the My Documents folder.

Changing where your Project Files are Saved

To change the default directory that your Project files are saved to simply select File > Save As and enter a new directory. All new shows will be saved to this new directory. You can also change the directory in the Media area:

  1. In the Media area, browse to the folder that you would like to set up as the default.

  2. Right-click and select Set Current Directory as Home for Projects.

Show Output Files

The end result of these raw video ingredients and all of your fine video crafting is something as glamorous sounding as an output file. These output files are saved in different formats and here are some equally glamorous definitions.

.WMV - Windows Media Video. This is a Microsoft file format designed for digital video playback over the Internet or on a standalone computer. This compressed file format can result in some loss of image quality but yields a dramatic reduction in file size and thus download time. Any computer with a recent version of Microsoft's freely available Windows Media Player can view WMV videos.

.AVI - Audio Video Interleaved. This is an uncompressed file format for digital video and audio playback. Uncompressed files like captured clips are saved in this format.

Any computer with Microsoft's freely available Windows Media Player can view AVI videos. Uncompressed AVI files do not always play "smoothly" in all players. AVI is most appropriate for archival of your full video footage.

Uncompressed AVI is the best format for exporting your videos from Visual Communicator for use in PC editing software or Video CD/DVD creation software. .AVI files can grow to be very large, however, they offer the highest image quality. In general, AVI files should not be emailed because of their size.

DV - Digital Video

Visual Communicator Pro and Studio publish your video to a DV type 1 file. DV type 1 format stores data as a single AVI stream file, then records it to the DV device connected to your PC.

If you plan to edit your video in a video editing program, publishing to DV Type 2 format may be required by some editing software.

In the VC Publisher, publish your AVI file using the Custom publishing option and select DV Type 2.

.RM - RealMedia Video. The file format developed by Real Networks that is used to stream video over the Internet.

Where Your Output Files Are Saved

If you are using VC Web or Pro:

    Published shows are saved to this directory:

    C:\Program Files\Serious Magic\Visual Communicator\Content\Videos\My Published Videos

    Captured clips, they are saved here:

    C:\Program Files\Serious Magic\Visual Communicator\Content\Videos\My Captured Clips

If you have VC Studio or later:

    Output files are saved to the My Captured Clips or My Published Shows folders underneath the My Documents Folder.

Changing Where Your Output Files are Saved

To change the default directory that your Output files are saved to:

  1. In the Media area, click the Output tab and use the Directory path drop-down list to select the folder that you would like to set up as the default.

  2. Right-click and select Set Current Directory as Home for Output.

Using the Publisher

Publishing your show enables you to share it with the world in the format that you choose. Publish shows to files that can be burned to a CD or sent with an email. Save shows to servers where viewers can download them from the web. If you have Studio, publish shows to web pages or stream your shows over the Internet. Visual Communicator gives you options for saving all of these types of shows in a variety of formats and compression ratios to suit your viewers requirements.

  1. Click the Publish button underneath the Output Monitor window.

The following windows give you options for saving your show in formats suitable for different kinds of distribution.

  • Save video to a hard drive or network - Saves your show to an output file on your hard disk or LAN. Once the output file is saved, you can burn it to a DVD or CD with your favorite DVD or CD burning software.
  • Send video in an email - Saves your video to a file which is then attached to an email. Once the file is created an email window is displayed for you to complete and send.
  • Publish video to a server on the Internet - Takes you to a screen where you can log in to your server account to post your video file.
  • Create a web page with your video embedded - Creates a web page containing your show. Uses style elements that you choose and any Web Links to web sites or images. You then publish the output files to a web server as you normally would.
  • Print Video to DV Tape - Once you have connected a DV camera, records your show to camera tape.

Sending Videos via Email

A standard email program (such as Microsoft's freely available Outlook Express) is required. You cannot attach a video to web-based email accessed through your Internet browser.

When choosing the size/quality, be aware that some email accounts are limited to 3 or 5 MB of incoming email. The person you are emailing may not be able to receive large files. Large files can also be a problem for people that access their email via dial-up modem. Check the file size in the email subject field before sending. You may need to republish to a smaller file size depending on your addressee's email account and connection limitations. Generally, we recommend keeping emailed file sizes below 2 MB.

Publishing Videos to a Server

VC publishes your video over your Internet connection at the compression and quality you specify. After selecting size/quality and naming your file, VC publishes your video to the specified Internet server using File Transfer Protocol (FTP). You will be prompted for a user name and password for the server.

  2. Unless you choose to publish your file to a web page or DV tape, click the Next button.
    • To learn more about publishing to a web page, see Publishing to Web Pages.
    • To find out how to publish to DV tape see, Publishing to DV Tape.

  3. Save your show as either a compressed .RM or .WMV file, or an uncompressed .AVI file.
    • Real Video - .RM for sending over the Internet and email.
    • Windows Media - .WMV for sending over the Internet and email.
    • AVI - uncompressed .AVI. Suitable for archiving, editing in third party authoring software or burning to a DVD.
    4. Select a format, enter your file name in the field at the bottom and click Next.

    The options available here vary depending on what format you have chosen.

    Real Video - .RM Compression Options

    • Small File Size/Lower Quality - Suitable for use with dial-up modem connections.
    • Medium File Size/Good Quality - Suitable for use with DSL or Cable modem connections.
    • Large File Size/Better Quality - Suitable for use over a LAN or network connection.

    Windows Media - .WMV Compression Options include all of the options above as well as the option below:

    • Largest File Size/Best Quality (Quality based encoding) - Suitable for archiving and local PC playback.

    5. If you are using Studio, click Trigger Links if you are publishing your show to a web page with Web Links. See Publishing to Web Pages for more information.
    6. Click 2 Pass Encoding if you wish the codec to process all of the samples for the stream twice. The first pass gathers information about the content of the stream. The second pass uses the information gathered on the first pass to optimize the compression process.

    In the Constant Bit Rate encoding mode, files that are encoded in two passes are generally more efficient than files encoded in a single pass. Quality-based VBR (variable bit rate), which is one pass, will produce more consistent quality than bit rate-based VBR, which utilizes two-pass encoding.

    VBR is not suitable for Internet streaming due to the fluctuating bit rate.

    7. Click Default Format to select between Windows Media 8 and Windows Media 9 formats.
    8. Click Clip Attributes to open a window where you can type author, description, title and copyright information for your video.
    9. (Advanced users) Click Custom Size/Custom Quality - This option allows advanced users to make adjustments to variables such as constant or variable bit rate, audio and video codec and frame rate etc.

    If you select the custom option for Windows Media Encoder 9 without it installed on your PC you will be given the option to download the free upgrade. If you choose not to download the upgrade you will be directed to the Windows Media Encoder 8 options panel.

    Click the Help button to learn more about Advanced compression options.

    10. Select a Size/Quality and click the Next button then Finish to Publish your video.

      To learn or change where your published files are saved, see Where Your Output Files Are Saved earlier in this chapter.

Publishing to DV Tape

Visual Communicator Pro and Studio allow you to publish your finished shows to digital video tape using full broadcast resolution. If you plan to present your show on a television, this method of publishing produces the best image.

To take advantage of the Print to Tape feature, you will need to have a Firewire (IEEE 1394) port in your computer and a DV Camera.

When you publish a video using the Print to Tape feature, the video you are publishing is compressed to a DV file and then recorded directly to the DV tape in your camcorder. VC also saves a copy of the show to your hard drive in the My Published Shows folder.

For best results (and to take advantage of the full (720 x 480) resolution recording), use your DV camcorder or other DV source to record your video in Visual Communicator. If the camcorder you want to tape the show to, (output) is also your video input device, switch it into VCR mode before publishing.

  1. Load the project you would like to publish to tape.
  2. Record the show if needed and then click the Publish button.
  3. Select the option to Print video to DV Tape.
  4. Switch the camera into VCR mode and then click the Next button.

  5. In the Device drop-down list, select your camera if it is not already selected.

    In the Preroll field, enter the number of seconds your camera requires to begin recording.

    Cameras vary in the amount of time it takes them to respond to a request to record. The number of seconds you enter here tells VC how long it takes your camera to start recording after you click the Finish button in the next window. Black video will be recorded in any excess lead time between VC's request to record and your camera's response. You may need to try this a few times to learn your camera's Preroll time.

  6. Use the rewind, stop, pause, play and fast-forward buttons to move through the tape in your camera. Move to the spot you'd like to record your show to.
  7. Click the Browse button to go to the hard drive location where you want the show file to be saved and name the file.
  8. Click the Next button.

    The next page will show you file information on your video. Click the Back button if you'd like to make changes.

  9. Click the Finish button to begin the publishing to tape process.

    The first thing you will see is a status bar saying "Your video is being compressed and saved."

    The next window will say "Publisher is connecting to Tape Device."

    Finally, a message displays "Your video is recording to tape."

    When it is 100% complete, the publishing window displays "Publishing has completed successfully!"

  10. Click the Ok button.
  11. Switch your camera back to camera mode before exiting the publisher.

Publishing to Web Pages

Visual Communicator Studio takes your publishing prowess to the next level. Leverage the power of the web and publish your shows to web pages without having to know any HTML. VC Studio automatically creates great looking web pages using the templates you choose to quickly add style and polish to your pages. Studio creates the page and places your show in either a Windows Media® Player or RealPlayer® within your page. When your show is done, you upload the page to your live web server.

When you create a show for a web page you can also incorporate Web Links and Chapter Markers.

About Web Links

Put Web Links in your show to call up
live web pages while your video plays.

Web Links allow you to synchronize your show with the display of web pages. As your video plays in one part of the browser window, live web pages are displayed in another.

About Chapter Markers

Chapter Markers are actually a specific type of Web Link. But instead of creating a link to something outside of your video like a web site, they provide links to events within your video. They give your viewer control of what scene or event in your video they would like to see. A list of links is displayed underneath or next to the video depending on which page layout you choose. Viewers click the links to jump to the scenes you have created Chapter Markers for.

We recommend using Internet Explorer as your browser to achieve optimum results.

To learn how to add Web Links and Chapter Markers to your show, see Adding Web Links to Your Page.

Publishing your show to a web page

  1. Once you have rehearsed and recorded your show, click the Publish button.

  2. Click the radio button next to Create a web page with your video embedded and then click the Next button.
  3. Click the Style checkbox if you'd like to apply one of the Style templates and then click the Choose button.

    Click the radio buttons to preview styles then select the style you would like to use and click Finish

  4. Click the down arrow in the Page Layout drop-down list to select a layout.

    The images on the left side of the window represent a sample of each page layout option and change depending on which layout you have selected. The word Chapters represents where your Chapter Marker links will appear. The Link Target area displays any web site that you create a Web Link for. The alien-like figure, represents your show.

For those of you interested in knowing the size of the Link Target area in pixels for web page design purposes, we've provided them here for both Target Browser resolution options, 800 x 600 and 1024 x 768. If you wish, you can also use HTML to create a new window for your Link Target.

    800 x 600
    Link Target area = 480 x 430 px
    1024 x 768
    Link Target Area = 640 x 570
  • If you have added Chapter Markers to your show, select Web Links (smaller video on the left) to create the layout represented in the illustration above or,

    800 x 600
    Link Target area = 480 x 430 px
    1024 x 768
    Link Target Area = 640 x 570
  • Select Web Links (smaller video on the right) or,

    800 x 600
    Link Target area = 730 x 440 px
    1024 x 768
    Link Target Area = 960 x 470
  • Select Web Links (smaller video on the top) or,
  • Select Web Links (larger video including markers) or,
  • Select No Web Links (larger video
    without markers)     to display the video in a larger player with no web links.
  5. Click the Header checkbox if you'd like to add a large text heading at the top of the page then type a one or two line heading in the Header fields.
  6. Click the Footer check box if you'd like to add a footer at the very bottom of the page then type a footer in the Footer fields.

    If you'd like to try more options to enhance your web page, click the Show Advanced Options button and see Advanced Web Publishing Options.

  7. Click the Next button.

  8. Click a radio button to publish your show to either Windows Media or Real Media format.
  9. If you'd like to change the name of the folder and file that your video file and web page will be saved to, enter a new folder name followed by a backslash and a new file name and click the Next button.

VC Studio automatically creates a new folder for your web page files and saves your show file to it. You can move your web page images and other supporting files to this folder and simply upload the entire folder when you are ready to upload your page to a web server.

  10. Click the radio button for the file size and corresponding image quality that is suitable for your audience.
  11. If you have added Web Links to your show, click the Trigger Links checkbox to include them on your page.

If you'd like more information about File size and quality choices or Clip Attributes, click the Help button.

  12. Click the Next button.
  13. Review your web page information and click the Back button if you'd like to edit any of your previous selections.
  14. Click the Finish button and VC Studio will compress your video and produce your web page.
  15. If you like, click the Show Web Page When Finished checkbox to display the show in your default browser window when you click OK.

Advanced Web Publishing Options

If you are an experienced user and would like to customize your Windows Media settings and insert your own script commands, select Custom Size / Custom Quality in the publishing size and quality selection window. If you make this selection, the Trigger Links checkbox will no longer become available, however this is the same option as the Script checkbox in the Windows Media Profile Editor window.

You can activate Trigger Links by clicking the Script checkbox in the Windows Media Profile Editor.

If you would like to further customize your web page, click the Show Advanced Options button to view additional settings.

  • To change the display resolution from the default setting, click the Target Browser Resolution radio button that best fits the browser resolution on your audience's PC.
  • In the Initial Link field, you can enter or browse to an image file that displays in the Link Target area of your page at the beginning of your show. Or, you can enter a URL and display a web page in this area. This image or web page remains here unless it is replaced by a Web Link in your show.
  • Drag the Volume slider to the left or right to control the initial volume of the video in the web page player.
  • In the Playback Controls drop-down list, select which Player buttons to include in your web page underneath your video.
  • Select Full to show all of the buttons.
  • Select Minimal to display just the Play, Pause and Volume buttons.
  • Select None to show the Player without buttons.
  • Select Audio-Only to show no player at all.

    Use Audio-Only in cases where your show is strictly audio and you'd like the sound to play with no player controls available to the listener.

  • Click the Auto-Start checkbox to have the video play automatically when the page is loaded.
  • Clear the checkbox to keep it from playing without clicking the Play button.
  • If you like, enter any Search Keywords for the page. The words that you enter here will act like HTML meta tag keywords. Enter the word, name or phrase using commas to separate each word or phrase. For example:

    Serious Magic, Visual Communicator

Publishing VC Web Pages to a Web Server

If you are publishing your VC files to a web server yourself, we recommend that you know at least the basics of web publishing. You should have some experience using FTP software and be familiar with the configuration of your web server and it's file naming requirements. Publish your VC files as you normally would. Be sure to publish all of the files that VC Studio creates with your web page.

To locate the files to publish to your server, go to the My Published Shows folder under the My Documents folder on your hard drive. The name of the show in the following example is River Homes Demo.

Each web page that you create with VC Studio will have a set of files and an images folder which will be saved within a folder named after your show.

Publish the content.htm, index.htm, your .wmv file, the images folder and it's contents to your web server. (You may not have a content.htm file in every case depending on your page publishing set up.)

Broadcasting Shows to a Large Screen

Visual Communicator Studio enables you to use your PC as a multi-media presentation system. Use it to play your show or live audio and video display to large projection screens or second monitors without the need for publishing or encoding beforehand.

All you need is Visual Communicator Studio, a dual-head video card and a second monitor. To broadcast to a large screen, you'll need a projector. To add live commentary, you'll need a microphone and to add live video, you'll need to connect a camcorder.

Create your show and script as you normally would. Then, plan your live presentation, listing each source and action. Your presentation outline might look something like this:

 | VC Studio | Audio | Large Screen
1 |  | Microphone - Give welcoming comments | Display Opening Graphic
2 | Live Capture from Camera 1 | Live Audio from Microphone | Live Video of Guest Speaker from Camera 1
3 | Run Show | Add commentary through microphone | VC Show Plays
4 | Pause Show | Live Audio from Microphone | Live Video of Product Demo from Camera 1
5 | Resume Show | Microphone - Thank Guests | VC Show Plays

With a good plan of events and some rehearsal time, you and Visual Communicator Studio of course are on your way to presenting a really, big show!

Setting Up a Second Monitor or Projector

Connect your Projector or second monitor to your PC.

You must have a dual head VGA video card to use this feature.

Before starting Visual Communicator, go to the Windows Control Panel Display Settings.

  1. If you are using Windows XP, click the Start button.
  2. Click Control Panel and then double-click Display.
  3. Click the Settings tab so see your monitor settings.

  4. Click the second monitor icon and click the checkbox for Extend my Windows desktop onto this monitor.
  5. Open Visual Communicator and click the Setup Tab.

  6. Click the Enable checkbox to enable Fullscreen Preview.
    The second display shows what was previously in the Output Monitor window and the Output Monitor displays the message "Preview inactive when Full Screen Output is Enabled".
  7. In the Output Monitor drop-down list, select your second monitor or Projector.
  8. In the Resolution drop-down list, select a resolution.

Set your resolution to the lowest setting possible while still maintaining the desired screen image quality and legibility. Higher resolutions require more powerful PC configurations.

Setting up your microphone to be heard through your PC

If you plan to use a microphone during your live presentation and would like the person to be heard through the PC speakers, click the Pass-Thru To Speakers checkbox.

  1. Click the Setup Tab.
  2. Click the Audio button.
  3. Click the checkbox to turn on Pass-Thru To Speakers.

The second display feature is disabled while Live Streaming is enabled. In addition, Live Streaming will not work while you are broadcasting your show to a large screen or second monitor.

Playing Media Before Your Show

If you'd like to display a graphic file before your show such as a welcome greeting or opening title, you can select this option in the Application Settings Window.

  1. Then, in the Menu bar, click Settings, then select Application Settings.

  2. Click the Manually Stop Preview Sources checkbox.
  3. In the Media area click the Graphics tab and find an image that you'd like to display before the show begins and double-click it to display it in your full screen output device or second monitor.
  4. Make sure that you have selected the checkbox to Enable Full Screen Output on the Setup Video tab.
  5. Now you can go ahead and open the project file for your show and the opening image will remain onscreen as you use VC.

Playing Media After Your Show

If you'd like to display a graphic file or perhaps play some closing theme music after your show, select the Manually Stop Preview Sources checkbox as explained above. Then, after your show ends, double-click a graphic file and/or a music file in the Media Area.

Including Live Video from a DV Camera

If your show includes live video from a DV camera, you can change the resolution used to display it in the Output Monitor window. If you don't change it, the default setting plays your video at half-res or half of the resolution that your camera is providing.

If you are using the VC Studio Fullscreen Output feature and the video quality is not high enough for the target resolution of your Full Screen Output device, you can choose to use full DV resolution. To change the setting from half resolution to full resolution:

  1. In the Menu bar, click Settings, then select Performance Settings.

  2. Drag the Your computer is? slider to the Custom setting.
  3. Click and de-select the Use Half-Resolution in Preview Window for DV Cameras checkbox.

When you have finished using the Fullscreen Output feature, we suggest changing the Resolution back to Half-Resolution. Leaving the Output Monitor in Full DV Resolution mode, will burden your PC's processing power.


Live Streaming

  • Streaming Basics
  • What You'll Need to Stream Live Media
  • Setting Up Streaming for the First Time
  • Testing Your Stream
  • Show Time

Streaming Basics

To configure streaming within VC Studio, it may help you to learn some streaming basics. If you are an experienced media streamer, you may just want to skim this section.

Push and Pull Streaming

There are many ways to stream or broadcast media over the web and they continue to evolve even as we write this. For the purposes of streaming from VC Studio, we'll simplify matters by giving you the basics of Push and Pull streaming. You should decide whether to use Push or Pull streaming based on your show's availability requirements and those of your audience.

At the time this manual was written, Push streaming was the most prevalent type of streaming. Push streaming is initiated on your PC, encoded by the server and ready to be broadcast as soon as a request is received from a viewer.

Pull streaming is not immediately ready to be broadcast and some communication between your PC and the server must occur before the show can begin to stream. Your show is encoded but no data is sent to the server until a request is initiated by the viewer. This takes a bit longer but requires less bandwidth. Port to port streaming is a type of Pull streaming which enables you to very simply stream shows between a few computers within an office or home network or the web.

Serious Magic Streaming Profiles

To help you get configured quickly, we've created generic Serious Magic Profiles for your use. These pre-configured streaming profiles contain streaming configuration parameters and are provided in a variety of bandwidths for both Windows Media and RealPlayer formats. Profile names reflect the different configurations that they are designed for. For example, "RealNetworks Streaming for Broadband" or "Windows Media Streaming for Dialup". Select a compression format that suits your audience's Internet or intranet bandwidth.

Server Settings

You enter your server settings into VC Studio so that the streaming server can identify your PC.

Depending on the type of streaming you are doing the settings you enter here may be as simple as a Port number for Pull streaming or, to do Push streaming, you will need the Server name, your publishing port, your account user name and password. If you don't manage your own server, you'll need to obtain this information from your streaming service provider or administrator.

If you'd like to learn more about streaming and how it works, the web has a wealth of informative articles.

What You'll Need to Stream Live Media

To stream live media you'll need Visual Communicator Studio and access to a either a Windows Media or Real streaming server that can broadcast live streaming media for web based streaming or an IP address for port to port streaming. You'll also need a powerful PC that can stand up to the demands of streaming.

If you plan to use RealMedia format, you'll need RealProducer software, (formerly Helix Producer) from RealNetworks Inc. to configure your server settings. See www.realnetworks.com.

If you are planning to have a small viewing, for example, 5 people within the same office, you can use port to port streaming without a streaming server.

If you'll be broadcasting your blockbuster to a large audience for example, over the web, we recommend using a streaming server. Your streaming provider can provide you with the specifics of how many viewers their servers can support.

Minimum system requirements for VC Studio Streaming

  • Intel® Pentium® 4 processor or equivalent
  • 2.4 GHz Processor
  • Microsoft® Windows 2000 or Windows XP
  • NVIDIA GeForce or ATI Radeon based AGP video card is required.
  • Most recent driver for the above video cards.

Live streaming is extremely processor intensive. Your computer's performance can change dramatically depending on factors such as, type of audio or video input used, complexity of shows, configuration of output settings, video card type, device drivers used and other tasks running on the PC. For best performance, manage these factors and set your streaming profile to use Windows Media or RealMedia format.

Choose a Media Format

Before you begin, decide what type of media player you would like your show to play in. Both Microsoft Windows Media Player and RealPlayer are available as free downloads from the web.

If you plan to use Windows Media format:

  • Set up an account with a streaming service provider that supports Windows Media format. Obtain server information from your provider and configure VC Studio with those settings or,
  • To run your own streaming server, you will need a separate computer running Windows Media Services, which is a component of Windows 2000 and 2003 Server operating systems. See Microsoft Windows Media Services on the web for more information.

If you plan to use RealMedia format:

  • Set up an account with a streaming service provider that supports RealMedia format.
  • Obtain your account and server information and configure VC Studio with it or,
  • To run your own Real server running RealNetworks Helix Universal Server software, configure VC Studio with your server information. This software is supported for many different operating systems including Windows 2000 and Windows XP. See RealNetworks Helix Universal Server on the web for more information.
  • Set up a Mount Point and use it to configure your VC Studio streaming profile.

Setting Up an Account with a Streaming Service Provider

If you want to stream your show over the web and you don't happen to have a spare streaming server lying around, don't despair, you can sign up for an account with a streaming service provider much like setting up an account with an Internet service provider. Search the web for streaming service providers to find one that meets your streaming requirements. When this Help page was written, Google™ had a good list here:

http://directory.google.com/Top/Computers/Internet/Broadcasting/Service_Providers/

Once you've set up your account, be sure to obtain the following information from your provider to set up your VC Studio streaming profile:

  • Publishing Point - The name of your streaming session on a Windows Media streaming server.
  • Mount Point - The name of your streaming session on a RealMedia server.
  • Server Name - This might be a name or an IP address.
  • User Name - If required.
  • Password - If required.
  • Port number - Required for Pull and port to port streaming only.

Setting Up Streaming for the First Time

First, open the project that you'd like to stream and then set up your streaming settings within Studio.

To help you get configured quickly, we've provided some generic Serious Magic Streaming Profiles. You simply select the profile that most closely matches your streaming environment and audience and enter the server settings that you obtained from your streaming service provider or network administrator.

  1. In the VC Studio menu bar, select Settings.
  2. From the Settings menu, select Live Streaming Settings.
  3. You'll see some instructions in the Welcome window. Click the Load button.

    The Live Streaming Folder contains a list of generic Serious Magic Profile or .smp files which represent Windows Media and RealNetworks server profiles of varying audience bandwidths.

Streaming Shows Containing Web Links
If you have incorporated Web Links into your show and would like them to trigger while streaming:

If you are using Windows Media format, load a profile that has Web Links Enabled.

If you are using a RealNetworks profile, be sure to click the Trigger Links checkbox at the bottom of the Summary of Current Settings window.

  4. Double-click the .smp profile which best matches your audience's bandwidth and Media Player.

    If you find that the profile you loaded is not the right one, you can return to this window and click the Load button to try another one.

  5. Click the Configure button.

    If you selected a Windows Media smp file, you will se the VC Studio windows Media Live Streaming.
    If you selected a RealPlayer smp file and have Helix Producer installed, you will se the Helix Producaer Profile window.

    In the RealProducer Server Destination window, select the Remember Password checkbox. (Account-based Push Mode.)

  6. Choose to configure VC Studio for either Push or Pull streaming.

    To Set up Push Streaming

    1. Click the Enable Push Streaming checkbox
    2. Enter the Server Name and Publishing Point.
    3. Enter a Username and Password if required and click OK.

    To Set up Pull Streaming

    1. Click the Enable Pull Streaming checkbox
    2. Enter the Port Number and click OK.

  7. In the Summary of Current Settings window, click the Save As button.
  8. Enter your new .smp file name and click the Save button.

    VC Studio remembers and reloads your last saved streaming profile in each new show until you load a new profile.

  9. To choose when you would like streaming to begin, click the Enable Live Streaming checkbox and then one of the radio buttons below.
    • Stream Only During Record - Use if you want your show to stream only after you click the VC Studio Record button.
    • Stream Only During Record and Rehearse - Use if you want your show to stream after you click either Rehearse or Record.
    • Stream Always - Use if you want to stream all of the time. This is a good option to choose for testing your stream for the first time. Note that if your show is not playing, anything that appears in the Output Monitor is streamed.
  10. Click the Apply button to connect to your streaming server and leave this window open.
  11. Check the Server: status box at the bottom of this window to see whether you were connected.

Clicking the OK button is the same as clicking the Apply button except that it closes this window after connecting.

Unless you selected the option to Stream Always, streaming will not begin until you click the Record or Rehearse buttons under the Output Monitor window.

Setting up Audio for Streaming

It's important to note that in order to stream the audio from your microphone, the Pass Thru to Speakers checkbox on the Audio Setup Tab must be selected.

When you enable live streaming in the Summary of Current Settings window, this checkbox is automatically selected for you. If you have problems with audio, ensure that the Pass Thru to Speakers checkbox is still selected when you stream.

Testing Your Stream

Once you are connected to your server, start your stream if needed by clicking the Record or Rehearse button and check it's status.

The color of the Live Streaming Status light indicates the status of your stream and server connection.

Click the Director tab to see the color of the Live Streaming Status light at the bottom of the tab. Each color represents a different status:

  • Dark green = Streaming is Off or Disabled
  • Bright green = Streaming is ON

    Data is currently being streamed to the server and should be viewable.

  • Bright yellow = Connected

    Visual Communicator has established a connection with the server and is ready to start streaming.

  • Bright red = Streaming Failed

    No data is being streamed and there is no data connection to the server.

Viewing Your Streaming Show on the Web

On a separate computer, open a web browser and enter the URL for your show. To obtain your show URL:

  • If you are using Push streaming in Windows Media format and using the mms protocol, your URL will look something like:

    • mms://servername/publishing point

  • If your are using Pull or port to port streaming in Windows Media format, your URL will look like this:

    mms://ipaddress:portnumber

    or this:

    mms://servername/portnumber

    To obtain your IP address go to the command or c: prompt on your VC Studio PC.

    1. Click Start > All Programs > Accessories > Command Prompt.
    2. In the Command Prompt window, type ipconfig
    3. Write down your IP Address and close the Command Prompt window.
  • If you are using RealMedia format and using the rtsp protocol, your viewing URL will look something like this:
    rtsp://servername/mountpoint/streamname.rm

If you have an account with a streaming provider, they may have a system for wrapping the actual URL into a web link. In this case, your streaming service will provide you with this information.

If your PC is within a network firewall and you want to stream to the web, you will need to work with your network administrator to provide viewers with a port that will allow them to access your stream.

Stream Troubleshooting

If streaming is not working, try these steps depending on the color of the status light:

  • Dark green - Streaming is disabled. Go to the Current Settings window, click the Enable Live Streaming checkbox and click the Stream Always radio button to turn streaming on.
  • Bright green - Your show is streaming to the server. Check with your streaming service provider, or administrator to find out why it is not streaming from the server to the web.
  • Bright Yellow - You are connected to the server but not streaming to it, click Rehearse or Record.
  • Bright Red - You are not connected to the server. Check your .smp settings and physical server connection and try to connect to the streaming server again.

If you have problems with audio, ensure that the Pass Thru to Speakers checkbox is selected while you stream.

If you are still having problems, make sure that you have the latest Visual Communicator program update and check the Help system under Streaming and Troubleshooting for the latest information. Of course if you'd like human assistance, visit our User Forum or contact our Technical Support team. Visit our web site to find out how.

Stopping the Show

Turn Live Streaming off by clearing the checkbox.

To stop the stream, go to the Summary of Current Settings window and uncheck the Enable Live Streaming checkbox and click Apply or OK.

Show Time

Ensure that your streaming configuration is working by following the steps in Testing Your Stream.

Once your show is tested and ready to share with the streaming world, load your show and click Rehearse or Record.

You can use email to send out the show link or create a web page to provide your viewers with some simple instructions and a link to start your show.

Saving Your Streamed Show

You can save your streamed show to a file on your hard drive. To save your show while it is streaming, choose the option to Stream Only During Recording in the Live Streaming Settings window and use the Record button to start streaming. This saves a copy of your show to your hard drive. Then save your project and publish it to a file.

Bear in mind that recording does require additional processing on your computer. If you don't want to keep your show for later review, use the Rehearse button to stream your show.

If you would like to find out how many people are tuning in to see your show and what sort of bandwidth your server can support, contact your streaming server administrator or provider.


A Brief History of Broadcast Communication

It's now clear that we're on the cusp of the next great communications upheaval with the convergence of, television and the Internet, which is revolutionary by nature but only beginning to reveal its impact.

Although early pioneers of radio experimented with broadcasting music and voice over radio waves in the early 1900s, the radio boom truly began in the 1920s. By the 1930s, radio began to reshape the dissemination of news around the world, from political campaigns to sporting events. The dramatic rise in popularity was also attributed to the war, with people everywhere glued to their radios seeking the most up-to-date information.

Throughout its history, the radio communications industry saw a number of important broadcasters, from influential reporters like Walter Winchell to insatiable music jockeys like Wolfman Jack. They helped pioneer its format and expand its impact on worldwide audiences.

Yet as powerful as radio became, it paled in comparison to the paradigm shift that a new invention, called Television, soon brought. In fact, television may be the most significant communications invention to date, the only other contender being the Internet. Visual Communicator represents a powerful combination of the two.

Inventors first arrived at the possibilities of television even before the turn of the century. Television wasn't generally available to the public until around 1946, and the television boom occurred between 1949, when 940,000 households had a set, and 1953, when the number soared to 20 million according to some sources.

Because Television can encapsulate imagery as well as sound, it forced a number of shifts in the way broadcast communications were created; where appearance began to matter as much as substance. In view of the proverb; "a picture is worth a thousand words," television has irrevocably established that humans are mystically attracted to the visual message. It was largely this effect that shifted politics, entertainment, and even the news further than we might have imagined.

The first color broadcasts began around 1953, and soon after the first "recorders" were available to the networks (as opposed to capturing television on film). The first home video recorder then appeared in 1963 -- for a whopping $30,000! The networks could finally eliminate the need to splice film together by electronically mixing video and eventually adding special effects.

Early special effects began with simple transitions, which combined part of the image with part of another image, as well as a technique called chroma key, which used color variations to control the mixing. Amazingly, some of the earliest split screen effects actually relied on mirrors being placed in front of the camera to partially split the view to an alternate scene in another part of the studio. Primitive digital video effects (DVEs) began to appear in the early 1970s, and required specialized equipment costing more than most cars did. It wasn't until later that more sophisticated DVE capabilities were even made possible, such as digital zoom, rotation, perspective and curves. By the early 1990s producers began pushing the envelope with chroma key effects (green screen) to create virtual set environments built from computer images.

Over the years we've seen a wide range of programming styles and classic formats that have stood the test of time, including "Howdy Doody," "Meet the Press," "The Ed Sullivan Show," "I Love Lucy," and even "Sesame Street." Some shows were created to entertain, some to inform, and some to educate. We've seen hysterical skits from "The Ernie Kovacs Show" to "Saturday Night Live," and we've witnessed unforgettable events like the Kennedy assassination and the September 11 attack on America. And then there is the profound impact of televised words from our world leaders, heroes and greatest thinkers. Whether it's a rant, praise, proposal, or prayer; regardless of good news or bad; television has brought countless thoughts and ideas into our homes that may have changed our opinions, our knowledge and even our lives.

Television has forever altered our society, but here at Serious Magic, we don't believe TV has yet reached its full potential to inform, educate, entertain and enrich our lives. To reach its full potential we believe that the power to make television (or television-like communications) must be in the hands of millions of people, not just a few thousand broadcasters and video producers. We believe that the most exciting events in the evolution of TV are just ahead of us.

Perhaps someday Visual Communicator will be remembered as a major step forward in democratizing the tools of television. That would be nice, but it's not the important thing. The only thing that's really important is what you do with this tool. The power to communicate with the visual impact of network television is an amazing thing. Use it wisely - and try to have a little fun along the way.

Historical information is provided for general reference. Some dates and events were approximated based on information from a variety of sources including; articles from "Radio and Television," www.historychannel.com, and "The Age of Videography", Miller Freeman PSN, Inc. 1996.


Trouble Shooting

  • Check for Visual Communicator Updates
  • Where to Find Help
  • Updating Your Hardware Drivers
  • Frequently Asked Questions
  • Problems with Audio
  • Problems with Video
  • Troubleshooting Tools
  • Error Messages

Check for Visual Communicator Updates

If you are having problems with Visual Communicator and are connected to the Internet, we recommend that you try checking for updated program files before you try anything else. In the Menu Bar, click Help and select Check for Updates.

Follow the onscreen instructions to check for updates and download if needed. This ensures that you are using the latest release of Visual Communicator Web, Pro or Studio. Even if the update does not fix your problem immediately, it improves our ability to isolate your problem and identify a solution.

Where to Find Help

Frequently Asked Questions

Check our Frequently Asked Questions in this User Guide, in the Help System and on our Web site. The online Help system and web site will typically have newer information than this book.

Online Help

You can access the Help system by clicking Help in the Menu Bar or pressing the F1 key on your keyboard. Some Visual Communicator windows also contain a Help button which takes you to specific help about the feature that you are using. The Help system is fully indexed and searchable. From Visual Communicator, press the F1 key, click the Search tab, enter the item that you are searching for and click List Topics.

Contacting Technical Support

We are happy to help you identify and solve your problem. Before you write or call, you can save time and help us isolate the cause of the problem by providing complete and accurate information about your system. Fortunately, we have the tools to make this easy for you. If possible, please copy and paste the contents of your StatusLog.txt file and VC About box into your message to us if you are using email or the User Forum to get help. Also, run DirectX Diagnostics and send us the results. You can find out how to use these tools on Running DirectX Diagnostics.

Technical Support Web Pages

Visit our web site and go to the Technical Support section. From the support pages, you'll be able to review the latest Troubleshooting Tips, updates and send an email to Technical Support. If you have registered your product you'll also be able to visit our friendly User Forums. All types of users from novices to experts are known to dwell there handing out tips and advice. Chances are, if you have a question about VC, it most likely has been answered there at some time or another.

Kindly Human Assistance

If you'd like to speak to a support representative in person, go to the Contact page of our web site for hours of operation and phone numbers to call. Before you call, we recommend that you have your system information ready. Contact Technical Support for more information.

Upgrading Visual Communicator

At this writing, Visual Communicator is available in three versions: Web, Pro and Studio. Please visit Seriousmagic.com for the latest information about each version.

If you would like to upgrade, see Visual Communicator Minimum System Requirements to see whether you have a compatible system for the version you would like to upgrade to. To upgrade, go to Seriousmagic.com and check the Purchase pages for Visual Communicator upgrade information.

Updating Your Hardware Drivers

The hardware devices attached to your computer such as your mouse, web cam and sound card all require files called software drivers that allow them to work with Microsoft® Windows®. Most hardware device manufacturers release new software drivers periodically that can increase performance or fix compatibility issues.

If your devices are working just swell with Visual Communicator, we recommend that you NOT update them because sometimes new drivers can cause things to actually work less well.

To get the latest drivers for your desktop devices, visit the web site of the device manufacturer. If you need a new driver for your laptop computer, go to the web site of your laptop manufacturer.

For a list of common hardware devices and driver version numbers that we have tested, visit the Serious Magic Technical Support web pages at www.seriousmagic.com/help. If your device meets the minimum requirements it will probably work with Visual Communicator. If you are having problems, see Visual Communicator Help for the most up-to-date information.

Updating Your Windows Operating System

In certain situations, updating your operating system may be required. If you should ever need to update your Windows version:

  1. Open Internet Explorer.
  2. Click Tools and select Windows Update.
  3. Follow the onscreen instructions to scan your system for needed updates.

Frequently Asked Questions

Problems Starting Visual Communicator

If you have a camera or other video input device connected to your computer, it's possible that VC is having a problem recognizing it at start up. To check this, try starting VC without enabling video input devices.

Hold down the Ctrl key on your keyboard while double-clicking the VC icon.

  • If VC loads successfully, there may be a problem with your video input device or its software driver. See Check for the Latest Driver below.
  • If VC still does not load send us the contents of your StatusLog.txt file as described below, contact Technical Support

If you have a microphone or other audio input device connected to your computer, it's possible that VC is having a problem recognizing it. To check this, try starting VC without enabling audio devices.

Hold down the Shift key on your keyboard while double-clicking the VC icon.

  • If VC loads successfully, there may be a problem with your audio device or its software driver. See Check for the Latest Driver below.
  • If VC still does not load send us the contents of your StatusLog.txt file as described below contact Technical Support.

Check for the latest device software driver

Make sure that you have installed the current driver for your device.

Go to the device manufacturer's web site and search for updated drivers. If you find a driver with a later version number or date, download it and install the new driver in Windows. Then try to load VC again.

  • If you have installed the latest driver and are still having problems, try using another device.
  • If you connect a different camera or mic and VC loads successfully, there is a problem with your original device. Contact the manufacturer.
  • If you are still having problems loading VC with other devices connected, allow us to help you identify your problem by contacting Technical Support.

Send us the contents of your StatusLog.txt file

Use the Windows Search feature to find a file on your hard drive called StatusLog.txt. Or, use the Windows Explorer to navigate to the file here:

C:\Program Files\Serious Magic\Visual Communicator\StatusLog.txt

(Your drive letter and Serious Magic folder path may vary.)

  1. Double-click the StatusLog.txt file to open it.
  2. Press Ctrl + A to select the contents of the file.
  3. Press Ctrl + C to copy the contents.
  4. Create a new email or User Forum message and press Ctrl + V to paste the file contents into your message.

Problems with Video

Problem

Things to Try and Possible Solutions

The video in my Output Monitor window is very jerky. The show does not play smoothly.

If you have a slower PC or an older graphics card you may see the video in the Output Monitor window become "jerky" during rehearsing or recording with V-Screen active. In this case,

  1. In the Menu Bar, click Settings.
  2. Select Performance Settings.
  3. Drag the Your computer is? slider to the Custom setting.
  4. Click and mark the checkbox for Don't Show V-Screen During Rehearse/Record.
  5. If you still see the problem, deselect Smooth Teleprompter Scrolling in Performance Settings and verify that Freeze Animated Backgrounds is selected.

This change should not affect your published show.

The Teleprompter does not scroll smoothly.

See the solution above.

My Output Monitor just
displays a black screen instead of my video.
  • Click the Setup tab and check to see that your video source is visible and selected under the Video Input Device drop-down list.
  • If you have an NVIDIA graphics card, go to the NVIDIA web site to make sure that you have the latest driver for your video card. There is a known problem with the NVIDIA GeForce class cards with older drivers. Updating to driver version 41.09 should resolve the problem.
  • Also, try de-selecting the Enable Software Vertex Processing box in the Performance settings panel.
    1. In the Menu bar, click Settings.
    2. Then select Performance settings.
    3. Set the Your computer is? slider at the top to 'Custom'.
    4. Remove the x from the Enable Software Vertex Processing checkbox.

There is a single colored smear across my Output Monitor.

Follow the steps above to determine whether you have an older NVIDIA graphics card driver.

Problems with Audio

Problem

Things to Try and Possible Solutions

There is no audio being recorded on my shows.
  • Make sure your microphone is plugged into the mic jack. Your computer may have a mic jack that is colored pink or labelled microphone.
  • Ensure that your audio is set up in Visual Communicator. Click the Setup Tab then click the Audio button. Check to make sure that the sound card and microphone input is selected and the Mute checkbox is not selected.
  • Make sure that your sound card is working in other programs. Try using the mic with Sound Recorder.
    1. From Windows, click Start > Programs > Accessories > Entertainment > Sound Recorder.
    2. In the Sound Recorder Window, click the Record button.
    3. If the green line remains flat as you record, your mic is not working properly in Windows and therefore will not work in VC. Try another microphone.
  • Check the Windows Device Manager to ensure that the sound card driver was loaded properly and that the audio device is recognized.
    1. From your Windows Desktop, right-click the My Computer icon and select Properties. Click the Hardware tab then click the Device Manager button.
    2. Click the Sound, video and game controllers icon to list all the audio devices.
    3. If you see an exclamation point next to a device, there is a problem with it. Try using the Windows Troubleshooting tool to fix the problem.
  • To run the Windows Hardware Device Troubleshooter:
    1. From Windows, click Start > Control Panel > Double-click Sound and Audio Devices.
    2. Click the Hardware Tab > click the device you'd like to fix and click the Troubleshoot... button.
    3. Follow the instructions on screen.

If your sound card is not recognized in the Device Manager, or not working in Sound Recorder, you may need to re-install the driver. Try going to the sound card manufacturer's web site to download the latest driver.

There is an echo of the sound from video or audio clips when recording.

Turn your speaker volume down to reduce any echo or feedback which might be heard through the microphone while recording your shows. Or, on the Setup tab under Audio, click the Mute checkbox.

There are a lot of audio pops and/or audio distortions in my finished shows.
  • Be sure that you have the current driver for your audio device. Go to device manufacturer's web site and search for updated drivers. If you find a driver with a later version number or date, download it and install the new device in Windows.
  • Check your Windows microphone controls.
    Click Start > Control Panel > Sounds and Audio Devices. Click the Audio Tab. Under Sound recording, click Volume. In the Recording Control window. Under Microphone select Advanced. Under other controls de-select 1 Mic Boost (+20dB).
  • You may be having system performance issues. Go into Visual Communicator and in the Menu bar, click Settings and then Performance Settings and drag the Your Computer is? slider to Medium.
  • Disable any additional audio devices that are not in use. For example, if you have installed a new audio PCI card but previously had an onboard audio chipset, go to the Device Manager, right click and disable the device you no longer use.
    From your Windows Desktop, right-click the My Computer icon and select Properties. Click the Hardware tab then click the Device Manager button.
  • If you are using a web cam with a microphone, your system may have an audio input conflict. Go to the Device Manager. Double-click Sound Video and Game Controllers. Right-click the web cam microphone and select Disable to eliminate a possible audio input conflict.

I am not getting the audio through my camcorder.
  • Visual Communicator may not see the camera as an audio device and therefore does not pick up the camera's microphone as a live audio input source. In VC, click the Setup tab and click the Audio button. Ensure that your audio device appears in the Audio Input Device drop-down list.
  • Connect a high-quality microphone to the mic input jack on your PC's sound card. This is preferred because a lapel clip-on microphone will deliver much higher quality sound than a microphone mounted on your camcorder. Camcorder microphones may introduce room echo, as well as computer fan and other room noise.
  • If you have connected a microphone to a jack in your camera, the microphone may needs its own power supply. Check the instruction manual that came with the microphone.

My microphone volume is too low even at the max. setting.

Try the solution above to reconfigure your sound card.

Troubleshooting Tools

Running DirectX Diagnostics

If you need to contact Technical Support, you can expedite the troubleshooting process by providing detailed information about your hardware and software configuration when you call or email. You can quickly get this information by using the DXDIAG (Direct X Diagnostic) program.

From Windows, click Start and then click Run.

In the Run window, enter dxdiag and click OK.

Once your results are displayed, click the Save All Information button.

Save the file to your hard drive and then attach it to an email to Support@seriousmagic.com with your question.

If you are logging in to the User Forums to get advice, you can also open the dxdiag.txt file, copy the contents of the file to the Windows clipboard and then paste it into your Forum message.

Locating and copying the contents of your StatusLog.txt file

If VC is not starting, it may be helpful for you to provide Technical Support with the contents of the StatusLog.txt file. Each time VC starts, it makes a list here of each component in your system it will attempt to initialize. If startup fails when it reaches a particular component, the cause of the failure may be indicated by the last entry in the Status Log file. The issue can sometimes be resolved by updating that component's software driver.

  1. Locate the StatusLog.txt file
    • Use the Windows Search feature to find a file on your hard drive called StatusLog.txt
      OR
    • use the Windows Explorer to navigate to the file here:
      C:\Program Files\Serious Magic\Visual Communicator\StatusLog.txt
      (Your drive letter and Serious Magic folder path may vary.)
  2. Double-click the StatusLog.txt file to open it.
  3. Press Ctrl + A to select the contents of the file.
  4. Press Ctrl + C to copy the contents.
  5. Create a new email message or User Forum message, click in the message to insert the cursor and press Ctrl + V to paste the file contents into your message.

Getting the contents of the VC About box

If you are able to load Visual Communicator:

  1. In the Menu Bar, click Help and select About Visual Communicator.
    You will see a summary of some basic system configuration information.
  2. Copy everything in this window except for your Broadcast License Number and the copyright information. Don't inadvertently copy your BLN to a User Forum message. Always preserve the privacy of your Broadcast License Number.
  3. Paste the contents into an email or User Forum message.

Error Messages Explained

The following is a list of messages you may see while using Visual Communicator. We have included descriptions and possible solutions where appropriate to help you understand the reason for the message.

. . . already exists! Do you want to overwrite this file? - Indicates that the name you are attempting to assign to the current file already exists.

An Error occurred uploading the file. - When you Publish to Server you must be connected to the Internet. This message indicates that there is most likely a problem with the Internet connection that caused the file upload to not start or be interrupted.

Are you sure you want to stop before your show has finished publishing? - Warns you that you are stopping the publishing function before it is complete.

Cannot assign content containing transparency to this effect. Please replace the effect with an effect that brings content on-screen, then try the content again. - Titles and other graphics (E.g. lower thirds) that have transparent areas (alpha) showing program video in the background cannot be brought on screen using effects such as page peels or other "fly off" effects because they move video off-screen instead of on-screen. Try another effect with the graphic you wish to use.

Cannot assign this effect to an action with transparent content. Please try an effect that brings content on-screen instead. - Titles and other graphics (E.g. lower thirds) that have transparent areas (alpha) showing program video in the background cannot be brought on screen using effects such as page peels or other "fly off" effects because they move video off-screen instead of on-screen. Try another effect.

Cannot preview the selected effect due to missing content. You must assign the contents before previewing the effect. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) placed in it before you can rehearse or record. The previous Action Tray must also have content assigned to it since the effect needs the end of the previous file to perform.

Error attempting to save the app settings. Defaults will be used next run. Ensure the "AppSettings.xml" file in your "Bin" directory is not write protected. - Your system may be too low on memory to run the application. You may also be out of hard drive space on the drive that contains Visual Communicator.

Error attempting to save the show. The show cannot be saved. - The hard drive you are attempting to save to may be full or you may not have write permission for that folder.

Once your camera is positioned for recording, move out of the camera's view so that it only sees the background (green screen), and then press the "OK" button to auto-calibrate. - These instructions are for automatic set up of the V-Screen effect which removes the green screen background. Be sure you have checked the Active box before you start creating a show with a V-Screen effect.

Screen resolution must be set to 1024x768 or higher! - You must run your screen resolution at 1024 x 768 or higher. Right-click on the Windows desktop, click on Properties then the Settings tab to change the screen resolution.

The file dropped/entered is not a file type supported by Visual Communicator. - This message appears when you try to add a file to the Action Area that Visual Communicator does not support.

The message was not sent! - When you select Send in an Email during publishing, if your Internet connection is not working properly or your email client (such as Microsoft Outlook) is not configured correctly you may not be able to send the email.

The Publisher could not log on to an email account! - The user has Web Mail (i.e. Hotmail or AOL) and does not have a local pop account setup. You may be experiencing a technical problem with your email program or the account.

The publisher does not detect an Internet connection! - Dial up users need to dial and connect with their ISP. DSL / Cable modem users are most likely having technical difficulty with their modem/network setup or connection. Users on a network are most likely experiencing technical difficulty with the network or their network connection.

The publisher was unable to establish an Internet connection! - To upload a show to an FTP server, you must be connected to the Internet. This message indicates that the Internet connection is broken or not available. For modem users, try re-dialing to your ISP and then select OK to this message.

The selected action is missing an effect. You must assign effects before performing the show. - Indicates that the highlighted Action Tray must have an effect placed in it before you can rehearse or record.

The selected action is missing contents. You must assign the contents before performing the show. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) placed in it before you can rehearse or record.

The selected actions are either missing effects or contents. You must assign the missing items before performing the show. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) or an effect placed in it before you can rehearse or record.

The specified directory does not exist! Do you want to create it? - Do you want the application to automatically create the folder you are trying to write to?

There is not enough available space on the selected hard drive to publish! - This indicates that you need to free up some hard drive space or select another drive before you Publish. If available you can also save to your local network or a FTP site.

This action will remove all the actions in the window. - Removes all Action Trays from the Action Area.

This show has already been recorded. Re-recording will destroy the previously saved camera/microphone input. Are you sure you want to do this? - Re-recording a show overwrites previously recorded versions of the show.

Unable to create the directory! - There is a problem writing the folder as you have it named. Check that you are not naming the folder the same as an existing one and that the entire path exists. In Windows, certain characters are not permitted in folder names (\, *, &, etc.).

Unable to initialize the application settings. - Fatal error. Your system may be too low on memory to run the application. Close as many other applications as you can and make sure you have the required amount of RAM memory. You can also try restarting your computer.

Unable to initialize the Audio/Video System. - This message informs you of a problem with your camera, video capture device or audio input device. Check to make sure everything is plugged in and working correctly then re-start Visual Communicator. Make sure your video card meets the minimum requirements and that 3D acceleration is on in your display settings. Right-click on the Windows desktop, click on Properties then the Settings tab. Click on Advanced and then the Troubleshooting tab. The slider should be all the way to the right.

Unable to initialize the icon cache. Locate and delete the file "smdb.db" in your application "Bin" directory. - Your temporary icon cache file has been corrupted. Delete the file and restart the application. You can locate this file by performing a file find with the Windows search function, usually located in the Start panel. This will not impact the operation of Visual Communicator as the icon cache file will be rebuilt automatically.

Visual Communicator cannot run with your current display settings. - Go to the "Settings" tab in Display Properties and click the "Advanced" button. Select "Small Fonts". You must reboot your computer after these changes are made.

Visual Communicator is already running! - Indicates that Visual Communicator is already running. Check the Windows task bar for Visual Communicator.

You are running low on disk space. Press "Ok" to continue recording, or "Cancel" if you wish to free up some space before recording. - This message comes up when you don't have enough free space to record 30 seconds of regular (webcam) input or 5 seconds of full-res DV input. The location of your show project determines which disk drive the message is referring to. You should free up some space on that drive before recording your show.

You cannot set pause to zero on an inset video. - Certain video effects that bring a video object on-screen in a reduced size are configured to come on-screen, wait a designated period, then automatically go back off-screen. Without a pause time, they will not reverse out so this wait period cannot be zero.

You cannot set pause to zero on an overlay. - Title graphics that display on top of other video, i.e. overlays, are configured to appear onscreen, wait a designated period, then automatically go back off-screen. Without a pause time, they will not reverse out so this wait period cannot be zero.

You have already Published this show to your hard drive or network with these settings! - This message lets you know that you have already saved the current show with these settings.

Your current show has been modified, but is not saved. Would you like to save it before proceeding? - This is a reminder that the current show project needs to be saved in order to keep the changes you have made. This message pertains to actual saving, not recording. Even if you have recorded a video of your show, you still must save it to preserve the Teleprompter script, Action Area and recorded camera and microphone.


Glossary

Glossary

Action - The transition effect that introduces a new piece of video to the screen. Actions are placed on the left side of the Action Trays.

Action Area - This is the window on the upper right side of the main interface where you place the Action Trays that contain your media, pre-recorded videos, audio and effects.

Action Tray - The Action Tray is a container for your action and media files.

Angle - Changes the angle of the wipe effect. This can make the starting and ending point of an effect as an example on a angle instead of vertical. (Pro)

Audio Mixer - The Windows audio mixer is where you can adjust the volume and balance of your incoming and outgoing audio.

Auto-Set Key - Automatically sets the V-Screen green screen (chroma key) function, adjusting it to the color of your V-Screen backdrop by taking a picture of just the backdrop by itself.

Background - A picture or graphic used behind a set or person often as a chroma key. Also used behind on-screen text.

Bar Count - Shows how many horizontal or vertical bars will be in the video effect. This can be set from 2 to 50 bars that transition one source to the next.(Pro)

Bar Delay - This is the time inserted between bars in a blinds effect, this alters the delay from when one blind will transition to the next. (Pro)

Blank Video - Wizard option that takes you immediately to the Visual Communicator main interface, starting with a blank Teleprompter and Action Area, ready for you to build a new show. Gives you total control from start to finish.

Camera Frame Rate - This is the rate at which a camera or other video device will display video frames. The standard frame rate for video is 30 frames per second. 15 frames per second is commonly used for Internet streaming video as it reduces the file size and download time by half.

Chroma Key (V-Screen) - Chroma Key is an effect in which a person or object is filmed or videotaped in front of a color background, usually green or blue. The green or blue background is removed digitally and replaced with a picture or any other type of scene available, video or graphic. Visual Communicator's proprietary new technology that allows high-quality chroma keying in office, school and home environments is called V-Screen.

Content Libraries - The Content Libraries are where all of the media files, effects, and other show elements are stored, navigated through, and selected. This is the lower right area of the Visual Communicator main interface.

Content Path - This is where you can change the content in the background or effect by selecting the Browse button and then searching for the new content you would like to use in an effect. As an example you could change the background in a double box effect, or change the picture used in a Blinds effect. (Pro)

Closing Slate - The graphic images seen at the end of a show. Show title, credits and the like are usually in the closing slate.

Color Correction - The process used to adjust color variations in the video signal. If the people in your video appear green because of lighting conditions, you can adjust this to make their coloration look more true to life. In Visual Communicator these functions are performed in the Adjust Colors window.

Countdown - Numbers representing seconds until show time. On a live news set, this countdown is called out by a floor director. In Visual Communicator the countdown is presented in the output window with beeps. The countdown can be turned off in Application Settings.

For historical reasons that reach back to the time of Cecil B. Demille and the dawn of motion pictures, the numeric countdown that is seen before Rehearse/Record stops at the number two. The number one is not shown and is replaced by black and a beep instead.

Defocus - This will blur the A and B source during a zoom effect. This functionality is not available with all video cards. (Pro)

Dissolve - A dissolve is a transitional effect that smoothly mixes between two shots or pictures.

Duration - The duration of the currently highlighted action, in seconds. You can change the duration by selecting the number in the box and typing in a new duration.

Effects (FX) - Effects are visual accents such as wipes, dissolves or special effects like a page peel or shatter. Effects are often (but not always) used to transition from one video or graphic to another.

Encoding - Converts information to a particular form or format. For example, the Windows Media Encoder converts audio and video to a form that can be streamed to clients over a network. In reference to MP3 digital audio in particular, technology that converts a WAV audio file into an MP3 file. An MP3 encoder compresses a sound file to a much smaller size, about one-twelfth as large as the original, without a perceptible drop in quality.

Final Position - This is where the A source spin out will end in a spin out effect. (Pro)

FireWire - The Apple Computer trade name for the IEEE 1394 video format.

Flip Wipe - Changes the direction of a wipe effect

Graphic(s) - Objects, flat images, original drawings or text displayed on screen.

IEEE 1394 - FireWire; The interface standard that enables direct transfer of DV between devices, such as a DV camcorder and a computer or two DV devices.

Initial Position - This is the position where the spin starts on the Screen. (Pro)

Instant Hollywood - A finished TV show that makes you the star.

Lower Third Graphics - TV folks can be masters of the obvious. Hence these text-based graphic elements derive their name from where they usually appear on the screen, at the lower third. Lower third graphics are usually used to identify a person and can include things like name, company, position or location.

Media Files - This is a reference to the files used in your show. Video, audio or graphic files.

Media Folders - In the file structure, media files can be stored in folders.

One Click Video - This feature automatically launches Visual Communicator with a pre-defined show and starts recording, all with one click from the desktop. Ideal for quick video emails and notes, this feature makes Visual Communicator one of the fastest video creation tools ever.

Opening Slate - The graphic images seen at the beginning of a show. Show title, date and company or production information can appear in the opening slate.

Output Monitor Window - The Output Monitor window displays the video from your camera and show graphics. You will also see your show here when it is Reviewed.

Over the Shoulder - This refers to the box of graphics you sometimes see over the shoulder of a newscaster. This box has video or graphic images pertaining to the topic being discussed.

Pro Content - This is the option you will want if you are planning on having your videos played on a Television. (Pro)

Project - The term used for a show in Visual Communicator. Projects are saved with the .MSH file extension which is unique to Visual Communicator. Projects contain the Teleprompter contents and Action Area contents. They are not an actual video file suitable for viewing elsewhere (which are created by Publishing).

Publish - Opens the Media Publisher screen, where you can save a video file of your show to disk, a server, or send it as an email.

Radius - This is the radius of the path in a Swap effect, the larger the number the larger the circular path taken will be. (Pro)

Record - Runs your show and records the video from your camera and audio from your microphone.

Revert - This button will change the effect back to its default state after it has been altered in the Advanced settings. (Pro)

Rotation Count - The number of rotations that a blinds effect bar will have during the transition. This can be set to a positive or negative number from -3 to 3. (Pro)

Rotation Direction - You can change the direction of a rotation within an effect by selecting Clockwise or Counterclockwise radio button. (Pro)

Rehearse - Runs your show without recording so you can preview how it will look.

Review - Plays back your completed show.

S-Video - Refers to a system of plugs and jacks used to interconnect camcorders, VCRs and TV monitors, which keeps the chrominance (color) and luminance (brightness) information separate. Also called Y/C (luminance/chrominance) connectors, this improves picture quality by keeping any signal interaction to a minimum.

Scale - Scales the size of the effect positively or negatively. (Pro)

Script - The text written for actors, show hosts and newscasters containing their lines. A script is typically the first part of any production to be completed. (Pro)

Scrub Bar - Moving the slider left or right will cause the selected effect to preview in the output monitor at the speed you move the slider. (Pro)

Show - The term sometimes used to describe a project in Visual Communicator. Shows are saved with the .MSH file extension which is unique to Visual Communicator. Shows contain the Teleprompter contents and Action Area contents. They are not an actual video file suitable for viewing elsewhere (which are created by Publishing).

Show Timer - The digital clock in the main interface that tells you the current show duration. Can be set to count up or down.

Smart Position Next Action - Found by right-clicking on an Action Tray. Automatically moves the following Action Tray to the end of the selected Action Tray.

Smart Trigger - This function pauses the Teleprompter and Action Areas until a video clip has finished playing. The Teleprompter and Action Areas will resume automatically at the right time so that the next effect will play properly at the end of the video clip.

Streaming - A technology for transmitting electronic information in a stream, rather than in a complete package. This technology has enabled more accessible Internet audio and video. Audio, and especially video, files tend to be large, which makes downloading and accessing them as a complete package a very time-consuming operation. With streaming technology, however, the files can be downloaded and accessed at the same time, which makes using them much faster and easier.

Teleprompter - A Teleprompter is the device that network newscasters and politicians often use to read their scripts and speeches while looking into the camera. Visual Communicator includes the first inexpensive Teleprompter for business and personal use.

Titling - The addition of text, symbols and graphic elements to a video show or presentation.

Transition - Refers to a means of moving from one scene to another. You can use transitional effects like the wipe or dissolve to move between two scenes.

V-Screen - V-Screen is the name of Serious Magic's chroma keying technology. It can create high-quality green screen effects without the need for a professional camera or studio lighting.

Video Effects - Transitional effects used between two video scenes or images.

Virtual Set - Used in conjunction with chroma key. A virtual set is an artificially created set in which people or objects can be digitally placed.

Visual Communicator - Serious Magic's remarkable new communication tool that saves time, reduces travel, and cuts costs. It empowers PC users to communicate in a better way.

Web Content - This is the option you will want if you are planning on having your videos played on a PC or over the World Wide Web. (Pro)

Wipe - A wipe is a type of transitional effect that replaces part of the screen at a time. There are different wipe patterns such as a circle wipe or a clock wipe. In Visual Communicator wipes can also have soft edges or color border effects applied to them.

Wipe Tiling - This is for enabling a mirrored or tiled effect, but only after the current wipe effect has been transformed with the Wipe Transform option. After you have transformed an effect you can select the X Mirror or Y Mirror checkbox and then use the slider to see the effect that it has on the effect.

Wipe Pattern - The grey gradient used as the wipe pattern for the effect.

Wipe Transform - This is where you have the ability to customize the wipe effect. Here you can set a new x, and y axis for the effect to start at as well as adjust the angel and the scale of the wipe effect.

White Balance - A process used in consumer and professional camcorders and video cameras to calibrate the picture for accurate color display in different lighting conditions.